
package cz.isvs.iszr.schemas.iszrasyncvypisfronty.v1;

import java.math.BigInteger;
import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Indikace pokračování výpisu. Hodnota VypisPokracuje=true signalizuje neúplnost výpisu, pro kompletaci výpisu je třeba použít další volání služby. Hodnoty NasledujiciIdTransakce a NasledujiciCasVytvoreni je možné použít jako parametry pro pokračování výpisu.
 * 
 * <p>Java class for PokracovaniVypisuType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PokracovaniVypisuType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="VypisPokracuje" type="{http://www.w3.org/2001/XMLSchema}boolean"/&gt;
 *         &lt;element name="NasledujiciIdTransakce" type="{urn:cz:isvs:iszr:schemas:IszrAsyncVypisFronty:v1}IdTransakceType" minOccurs="0"/&gt;
 *         &lt;element name="NasledujiciCasVytvoreni" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PokracovaniVypisuType", propOrder = {
    "vypisPokracuje",
    "nasledujiciIdTransakce",
    "nasledujiciCasVytvoreni"
})
public class PokracovaniVypisuType {

    @XmlElement(name = "VypisPokracuje")
    protected boolean vypisPokracuje;
    @XmlElement(name = "NasledujiciIdTransakce")
    @XmlSchemaType(name = "unsignedLong")
    protected BigInteger nasledujiciIdTransakce;
    @XmlElement(name = "NasledujiciCasVytvoreni", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar nasledujiciCasVytvoreni;

    /**
     * Gets the value of the vypisPokracuje property.
     * 
     */
    public boolean isVypisPokracuje() {
        return vypisPokracuje;
    }

    /**
     * Sets the value of the vypisPokracuje property.
     * 
     */
    public void setVypisPokracuje(boolean value) {
        this.vypisPokracuje = value;
    }

    /**
     * Gets the value of the nasledujiciIdTransakce property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getNasledujiciIdTransakce() {
        return nasledujiciIdTransakce;
    }

    /**
     * Sets the value of the nasledujiciIdTransakce property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setNasledujiciIdTransakce(BigInteger value) {
        this.nasledujiciIdTransakce = value;
    }

    /**
     * Gets the value of the nasledujiciCasVytvoreni property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getNasledujiciCasVytvoreni() {
        return nasledujiciCasVytvoreni;
    }

    /**
     * Sets the value of the nasledujiciCasVytvoreni property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNasledujiciCasVytvoreni(Calendar value) {
        this.nasledujiciCasVytvoreni = value;
    }

}
