
package cz.isvs.iszr.schemas.iszrrobctipodleudaju2.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.iszr.schemas.iszrabstract.v1.IszrOdpovedAifoStIdAdrAbstractType;
import cz.isvs.rob.schemas.robdotazydata.v1.RobCtiPodleUdajuDataResponseType;
import cz.isvs.ruian.schemas.ctiprorob.v2.RuianCtiProRobV2DataResponseType;


/**
 * Služba E278 externího rozhraní - typ pro odpověď. Výstupní formát služby je definován vstupním seznamem požadavaných RU a právy podle RPP. Služba skládá údaje ze základních registrů ROB a RUIAN. Služba podle výsledku dotazu vrací 0, 1 nebo více záznamů.
 * 
 * <p>Java class for RobCtiPodleUdaju2ResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiPodleUdaju2ResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrOdpovedAifoStIdAdrAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="RobOdpoved" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="RobCtiPodleUdaju2DataResponse" type="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobCtiPodleUdajuDataResponseType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="RuianOdpoved" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="RuianCtiProRobV2DataResponse" type="{urn:cz:isvs:ruian:schemas:CtiProRob:v2}RuianCtiProRobV2DataResponseType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiPodleUdaju2ResponseType", propOrder = {
    "robOdpoved",
    "ruianOdpoved"
})
public class RobCtiPodleUdaju2ResponseType
    extends IszrOdpovedAifoStIdAdrAbstractType
{

    @XmlElement(name = "RobOdpoved")
    protected RobCtiPodleUdaju2ResponseType.RobOdpoved robOdpoved;
    @XmlElement(name = "RuianOdpoved")
    protected RobCtiPodleUdaju2ResponseType.RuianOdpoved ruianOdpoved;

    /**
     * Gets the value of the robOdpoved property.
     * 
     * @return
     *     possible object is
     *     {@link RobCtiPodleUdaju2ResponseType.RobOdpoved }
     *     
     */
    public RobCtiPodleUdaju2ResponseType.RobOdpoved getRobOdpoved() {
        return robOdpoved;
    }

    /**
     * Sets the value of the robOdpoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link RobCtiPodleUdaju2ResponseType.RobOdpoved }
     *     
     */
    public void setRobOdpoved(RobCtiPodleUdaju2ResponseType.RobOdpoved value) {
        this.robOdpoved = value;
    }

    /**
     * Gets the value of the ruianOdpoved property.
     * 
     * @return
     *     possible object is
     *     {@link RobCtiPodleUdaju2ResponseType.RuianOdpoved }
     *     
     */
    public RobCtiPodleUdaju2ResponseType.RuianOdpoved getRuianOdpoved() {
        return ruianOdpoved;
    }

    /**
     * Sets the value of the ruianOdpoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link RobCtiPodleUdaju2ResponseType.RuianOdpoved }
     *     
     */
    public void setRuianOdpoved(RobCtiPodleUdaju2ResponseType.RuianOdpoved value) {
        this.ruianOdpoved = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="RobCtiPodleUdaju2DataResponse" type="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobCtiPodleUdajuDataResponseType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "robCtiPodleUdaju2DataResponse"
    })
    public static class RobOdpoved {

        @XmlElement(name = "RobCtiPodleUdaju2DataResponse", required = true)
        protected RobCtiPodleUdajuDataResponseType robCtiPodleUdaju2DataResponse;

        /**
         * Gets the value of the robCtiPodleUdaju2DataResponse property.
         * 
         * @return
         *     possible object is
         *     {@link RobCtiPodleUdajuDataResponseType }
         *     
         */
        public RobCtiPodleUdajuDataResponseType getRobCtiPodleUdaju2DataResponse() {
            return robCtiPodleUdaju2DataResponse;
        }

        /**
         * Sets the value of the robCtiPodleUdaju2DataResponse property.
         * 
         * @param value
         *     allowed object is
         *     {@link RobCtiPodleUdajuDataResponseType }
         *     
         */
        public void setRobCtiPodleUdaju2DataResponse(RobCtiPodleUdajuDataResponseType value) {
            this.robCtiPodleUdaju2DataResponse = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="RuianCtiProRobV2DataResponse" type="{urn:cz:isvs:ruian:schemas:CtiProRob:v2}RuianCtiProRobV2DataResponseType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "ruianCtiProRobV2DataResponse"
    })
    public static class RuianOdpoved {

        @XmlElement(name = "RuianCtiProRobV2DataResponse", required = true)
        protected RuianCtiProRobV2DataResponseType ruianCtiProRobV2DataResponse;

        /**
         * Gets the value of the ruianCtiProRobV2DataResponse property.
         * 
         * @return
         *     possible object is
         *     {@link RuianCtiProRobV2DataResponseType }
         *     
         */
        public RuianCtiProRobV2DataResponseType getRuianCtiProRobV2DataResponse() {
            return ruianCtiProRobV2DataResponse;
        }

        /**
         * Sets the value of the ruianCtiProRobV2DataResponse property.
         * 
         * @param value
         *     allowed object is
         *     {@link RuianCtiProRobV2DataResponseType }
         *     
         */
        public void setRuianCtiProRobV2DataResponse(RuianCtiProRobV2DataResponseType value) {
            this.ruianCtiProRobV2DataResponse = value;
        }

    }

}
