
package cz.isvs.iszr.schemas.iszrrosctiico2.v1;

import jakarta.xml.bind.JAXBElement;
import jakarta.xml.bind.annotation.XmlElementDecl;
import jakarta.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the cz.isvs.iszr.schemas.iszrrosctiico2.v1 package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _RosCtiIco2_QNAME = new QName("urn:cz:isvs:iszr:schemas:IszrRosCtiIco2:v1", "RosCtiIco2");
    private final static QName _RosCtiIco2Response_QNAME = new QName("urn:cz:isvs:iszr:schemas:IszrRosCtiIco2:v1", "RosCtiIco2Response");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: cz.isvs.iszr.schemas.iszrrosctiico2.v1
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link RosCtiIco2ResponseType }
     * 
     */
    public RosCtiIco2ResponseType createRosCtiIco2ResponseType() {
        return new RosCtiIco2ResponseType();
    }

    /**
     * Create an instance of {@link RosCtiIco2Type }
     * 
     */
    public RosCtiIco2Type createRosCtiIco2Type() {
        return new RosCtiIco2Type();
    }

    /**
     * Create an instance of {@link RosCtiIco2ResponseType.RosOdpoved }
     * 
     */
    public RosCtiIco2ResponseType.RosOdpoved createRosCtiIco2ResponseTypeRosOdpoved() {
        return new RosCtiIco2ResponseType.RosOdpoved();
    }

    /**
     * Create an instance of {@link RosCtiIco2ResponseType.RobOdpoved }
     * 
     */
    public RosCtiIco2ResponseType.RobOdpoved createRosCtiIco2ResponseTypeRobOdpoved() {
        return new RosCtiIco2ResponseType.RobOdpoved();
    }

    /**
     * Create an instance of {@link RosCtiIco2ResponseType.RuianOdpoved }
     * 
     */
    public RosCtiIco2ResponseType.RuianOdpoved createRosCtiIco2ResponseTypeRuianOdpoved() {
        return new RosCtiIco2ResponseType.RuianOdpoved();
    }

    /**
     * Create an instance of {@link RosCtiIco2Type.Zadost }
     * 
     */
    public RosCtiIco2Type.Zadost createRosCtiIco2TypeZadost() {
        return new RosCtiIco2Type.Zadost();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RosCtiIco2Type }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RosCtiIco2Type }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:iszr:schemas:IszrRosCtiIco2:v1", name = "RosCtiIco2")
    public JAXBElement<RosCtiIco2Type> createRosCtiIco2(RosCtiIco2Type value) {
        return new JAXBElement<RosCtiIco2Type>(_RosCtiIco2_QNAME, RosCtiIco2Type.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RosCtiIco2ResponseType }{@code >}
     * 
     * @param value
     *     Java instance representing xml element's value.
     * @return
     *     the new instance of {@link JAXBElement }{@code <}{@link RosCtiIco2ResponseType }{@code >}
     */
    @XmlElementDecl(namespace = "urn:cz:isvs:iszr:schemas:IszrRosCtiIco2:v1", name = "RosCtiIco2Response")
    public JAXBElement<RosCtiIco2ResponseType> createRosCtiIco2Response(RosCtiIco2ResponseType value) {
        return new JAXBElement<RosCtiIco2ResponseType>(_RosCtiIco2Response_QNAME, RosCtiIco2ResponseType.class, null, value);
    }

}
