
package cz.isvs.org.schemas.orgtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * 
 *         Pro účely definice zdrojového nebo cílového AIS a agendy.
 *         Podle procesu je zde uložena definice, na koho se má AIFO převést,
 *         nebo čí AIFo je dodáno.
 *       
 * 
 * <p>Java class for OrgAgendaAisType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrgAgendaAisType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *         &lt;element name="AIS" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAisType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrgAgendaAisType", propOrder = {
    "agenda",
    "ais"
})
public class OrgAgendaAisType {

    @XmlElement(name = "Agenda", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String agenda;
    @XmlElement(name = "AIS")
    protected int ais;

    /**
     * Gets the value of the agenda property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgenda() {
        return agenda;
    }

    /**
     * Sets the value of the agenda property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgenda(String value) {
        this.agenda = value;
    }

    /**
     * Gets the value of the ais property.
     * 
     */
    public int getAIS() {
        return ais;
    }

    /**
     * Sets the value of the ais property.
     * 
     */
    public void setAIS(int value) {
        this.ais = value;
    }

}
