
package cz.isvs.org.schemas.orgtypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Seznam metadat pro soubory.
 * 
 * <p>Java class for OrgSouboryType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrgSouboryType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SouboryMetadata" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}OrgSouborType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrgSouboryType", propOrder = {
    "souboryMetadata"
})
public class OrgSouboryType {

    @XmlElement(name = "SouboryMetadata")
    protected List<OrgSouborType> souboryMetadata;

    /**
     * Gets the value of the souboryMetadata property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the souboryMetadata property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getSouboryMetadata().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OrgSouborType }
     * 
     * 
     */
    public List<OrgSouborType> getSouboryMetadata() {
        if (souboryMetadata == null) {
            souboryMetadata = new ArrayList<OrgSouborType>();
        }
        return this.souboryMetadata;
    }

}
