
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Aplikační status pro jednotlivá rozhraní využívaná ISZR (Základní registry, ORG, AISy).
 * 
 * <p>Java class for ProbeStatusType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProbeStatusType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="VysledekProbeKodType" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}VysledekKodType"/&gt;
 *         &lt;element name="VysledekDetail" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="VysledekSubKod" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}VysledekSubKodProbeType"/&gt;
 *                   &lt;element name="VysledekPopis" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}VysledekPopisType" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProbeStatusType", propOrder = {
    "vysledekProbeKodType",
    "vysledekDetail"
})
public class ProbeStatusType {

    @XmlElement(name = "VysledekProbeKodType", required = true)
    @XmlSchemaType(name = "string")
    protected VysledekKodType vysledekProbeKodType;
    @XmlElement(name = "VysledekDetail")
    protected List<ProbeStatusType.VysledekDetail> vysledekDetail;

    /**
     * Gets the value of the vysledekProbeKodType property.
     * 
     * @return
     *     possible object is
     *     {@link VysledekKodType }
     *     
     */
    public VysledekKodType getVysledekProbeKodType() {
        return vysledekProbeKodType;
    }

    /**
     * Sets the value of the vysledekProbeKodType property.
     * 
     * @param value
     *     allowed object is
     *     {@link VysledekKodType }
     *     
     */
    public void setVysledekProbeKodType(VysledekKodType value) {
        this.vysledekProbeKodType = value;
    }

    /**
     * Gets the value of the vysledekDetail property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the vysledekDetail property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVysledekDetail().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProbeStatusType.VysledekDetail }
     * 
     * 
     */
    public List<ProbeStatusType.VysledekDetail> getVysledekDetail() {
        if (vysledekDetail == null) {
            vysledekDetail = new ArrayList<ProbeStatusType.VysledekDetail>();
        }
        return this.vysledekDetail;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="VysledekSubKod" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}VysledekSubKodProbeType"/&gt;
     *         &lt;element name="VysledekPopis" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}VysledekPopisType" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "vysledekSubKod",
        "vysledekPopis"
    })
    public static class VysledekDetail {

        @XmlElement(name = "VysledekSubKod", required = true)
        @XmlSchemaType(name = "string")
        protected VysledekSubKodProbeType vysledekSubKod;
        @XmlElement(name = "VysledekPopis")
        protected String vysledekPopis;

        /**
         * Gets the value of the vysledekSubKod property.
         * 
         * @return
         *     possible object is
         *     {@link VysledekSubKodProbeType }
         *     
         */
        public VysledekSubKodProbeType getVysledekSubKod() {
            return vysledekSubKod;
        }

        /**
         * Sets the value of the vysledekSubKod property.
         * 
         * @param value
         *     allowed object is
         *     {@link VysledekSubKodProbeType }
         *     
         */
        public void setVysledekSubKod(VysledekSubKodProbeType value) {
            this.vysledekSubKod = value;
        }

        /**
         * Gets the value of the vysledekPopis property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getVysledekPopis() {
            return vysledekPopis;
        }

        /**
         * Sets the value of the vysledekPopis property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setVysledekPopis(String value) {
            this.vysledekPopis = value;
        }

    }

}
