
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RosUdajType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RosUdajType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="ZnepristupniLog"/&gt;
 *     &lt;enumeration value="UdajeVerze2"/&gt;
 *     &lt;enumeration value="DatovaSchranka"/&gt;
 *     &lt;enumeration value="ObchodniNazev"/&gt;
 *     &lt;enumeration value="PravniForma"/&gt;
 *     &lt;enumeration value="PravniStav"/&gt;
 *     &lt;enumeration value="FyzickaOsoba"/&gt;
 *     &lt;enumeration value="AdresaSidla"/&gt;
 *     &lt;enumeration value="Provozovny"/&gt;
 *     &lt;enumeration value="StatutarniOrgany"/&gt;
 *     &lt;enumeration value="DatumVznikuOpravneni"/&gt;
 *     &lt;enumeration value="DatumZanikuOpravneni"/&gt;
 *     &lt;enumeration value="Ico"/&gt;
 *     &lt;enumeration value="Likvidator"/&gt;
 *     &lt;enumeration value="OpatrovnikPravnickeOsoby"/&gt;
 *     &lt;enumeration value="NucenySpravce"/&gt;
 *     &lt;enumeration value="InsolvencniSpravce"/&gt;
 *     &lt;enumeration value="VerejnaProspesnost"/&gt;
 *     &lt;enumeration value="PozastaveniPreruseni"/&gt;
 *     &lt;enumeration value="ZastupcePoStatutara"/&gt;
 *     &lt;enumeration value="KontaktniUdaje"/&gt;
 *     &lt;enumeration value="DorucovaciAdresaOsoby"/&gt;
 *     &lt;enumeration value="DorucovaciAdresaProvozovny"/&gt;
 *     &lt;enumeration value="DatumNarozeniFyzickeOsoby"/&gt;
 *     &lt;enumeration value="DatumNarozeniAngazovaneOsoby"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "RosUdajType")
@XmlEnum
public enum RosUdajType {

    @XmlEnumValue("ZnepristupniLog")
    ZNEPRISTUPNI_LOG("ZnepristupniLog"),
    @XmlEnumValue("UdajeVerze2")
    UDAJE_VERZE_2("UdajeVerze2"),
    @XmlEnumValue("DatovaSchranka")
    DATOVA_SCHRANKA("DatovaSchranka"),
    @XmlEnumValue("ObchodniNazev")
    OBCHODNI_NAZEV("ObchodniNazev"),
    @XmlEnumValue("PravniForma")
    PRAVNI_FORMA("PravniForma"),
    @XmlEnumValue("PravniStav")
    PRAVNI_STAV("PravniStav"),
    @XmlEnumValue("FyzickaOsoba")
    FYZICKA_OSOBA("FyzickaOsoba"),
    @XmlEnumValue("AdresaSidla")
    ADRESA_SIDLA("AdresaSidla"),
    @XmlEnumValue("Provozovny")
    PROVOZOVNY("Provozovny"),
    @XmlEnumValue("StatutarniOrgany")
    STATUTARNI_ORGANY("StatutarniOrgany"),
    @XmlEnumValue("DatumVznikuOpravneni")
    DATUM_VZNIKU_OPRAVNENI("DatumVznikuOpravneni"),
    @XmlEnumValue("DatumZanikuOpravneni")
    DATUM_ZANIKU_OPRAVNENI("DatumZanikuOpravneni"),
    @XmlEnumValue("Ico")
    ICO("Ico"),
    @XmlEnumValue("Likvidator")
    LIKVIDATOR("Likvidator"),
    @XmlEnumValue("OpatrovnikPravnickeOsoby")
    OPATROVNIK_PRAVNICKE_OSOBY("OpatrovnikPravnickeOsoby"),
    @XmlEnumValue("NucenySpravce")
    NUCENY_SPRAVCE("NucenySpravce"),
    @XmlEnumValue("InsolvencniSpravce")
    INSOLVENCNI_SPRAVCE("InsolvencniSpravce"),
    @XmlEnumValue("VerejnaProspesnost")
    VEREJNA_PROSPESNOST("VerejnaProspesnost"),
    @XmlEnumValue("PozastaveniPreruseni")
    POZASTAVENI_PRERUSENI("PozastaveniPreruseni"),
    @XmlEnumValue("ZastupcePoStatutara")
    ZASTUPCE_PO_STATUTARA("ZastupcePoStatutara"),
    @XmlEnumValue("KontaktniUdaje")
    KONTAKTNI_UDAJE("KontaktniUdaje"),
    @XmlEnumValue("DorucovaciAdresaOsoby")
    DORUCOVACI_ADRESA_OSOBY("DorucovaciAdresaOsoby"),
    @XmlEnumValue("DorucovaciAdresaProvozovny")
    DORUCOVACI_ADRESA_PROVOZOVNY("DorucovaciAdresaProvozovny"),
    @XmlEnumValue("DatumNarozeniFyzickeOsoby")
    DATUM_NAROZENI_FYZICKE_OSOBY("DatumNarozeniFyzickeOsoby"),
    @XmlEnumValue("DatumNarozeniAngazovaneOsoby")
    DATUM_NAROZENI_ANGAZOVANE_OSOBY("DatumNarozeniAngazovaneOsoby");
    private final String value;

    RosUdajType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RosUdajType fromValue(String v) {
        for (RosUdajType c: RosUdajType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
