
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RppUdajOvmType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RppUdajOvmType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="Ovm"/&gt;
 *     &lt;enumeration value="VnitrniJednotkaOss"/&gt;
 *     &lt;enumeration value="Ico"/&gt;
 *     &lt;enumeration value="DatovaSchranka"/&gt;
 *     &lt;enumeration value="PravniPredpisOvm"/&gt;
 *     &lt;enumeration value="KategorieOvm"/&gt;
 *     &lt;enumeration value="PravniPredpisKategorieOvm"/&gt;
 *     &lt;enumeration value="OhlasovatelKategorieOvm"/&gt;
 *     &lt;enumeration value="SidloOvm"/&gt;
 *     &lt;enumeration value="OsobaVCeleOvm"/&gt;
 *     &lt;enumeration value="VznikOvm"/&gt;
 *     &lt;enumeration value="PozastaveniOvm"/&gt;
 *     &lt;enumeration value="Pracoviste"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "RppUdajOvmType")
@XmlEnum
public enum RppUdajOvmType {

    @XmlEnumValue("Ovm")
    OVM("Ovm"),
    @XmlEnumValue("VnitrniJednotkaOss")
    VNITRNI_JEDNOTKA_OSS("VnitrniJednotkaOss"),
    @XmlEnumValue("Ico")
    ICO("Ico"),
    @XmlEnumValue("DatovaSchranka")
    DATOVA_SCHRANKA("DatovaSchranka"),
    @XmlEnumValue("PravniPredpisOvm")
    PRAVNI_PREDPIS_OVM("PravniPredpisOvm"),
    @XmlEnumValue("KategorieOvm")
    KATEGORIE_OVM("KategorieOvm"),
    @XmlEnumValue("PravniPredpisKategorieOvm")
    PRAVNI_PREDPIS_KATEGORIE_OVM("PravniPredpisKategorieOvm"),
    @XmlEnumValue("OhlasovatelKategorieOvm")
    OHLASOVATEL_KATEGORIE_OVM("OhlasovatelKategorieOvm"),
    @XmlEnumValue("SidloOvm")
    SIDLO_OVM("SidloOvm"),
    @XmlEnumValue("OsobaVCeleOvm")
    OSOBA_V_CELE_OVM("OsobaVCeleOvm"),
    @XmlEnumValue("VznikOvm")
    VZNIK_OVM("VznikOvm"),
    @XmlEnumValue("PozastaveniOvm")
    POZASTAVENI_OVM("PozastaveniOvm"),
    @XmlEnumValue("Pracoviste")
    PRACOVISTE("Pracoviste");
    private final String value;

    RppUdajOvmType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RppUdajOvmType fromValue(String v) {
        for (RppUdajOvmType c: RppUdajOvmType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
