
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RppUdajSpuuType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RppUdajSpuuType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="Spuu"/&gt;
 *     &lt;enumeration value="Ico"/&gt;
 *     &lt;enumeration value="DatovaSchranka"/&gt;
 *     &lt;enumeration value="PravniPredpisSpuu"/&gt;
 *     &lt;enumeration value="KategorieSpuu"/&gt;
 *     &lt;enumeration value="PravniPredpisKategorieSpuu"/&gt;
 *     &lt;enumeration value="OhlasovatelKategorieSpuu"/&gt;
 *     &lt;enumeration value="SidloSpuu"/&gt;
 *     &lt;enumeration value="VznikSpuu"/&gt;
 *     &lt;enumeration value="PozastaveniSpuu"/&gt;
 *     &lt;enumeration value="ZanikSpuu"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "RppUdajSpuuType")
@XmlEnum
public enum RppUdajSpuuType {

    @XmlEnumValue("Spuu")
    SPUU("Spuu"),
    @XmlEnumValue("Ico")
    ICO("Ico"),
    @XmlEnumValue("DatovaSchranka")
    DATOVA_SCHRANKA("DatovaSchranka"),
    @XmlEnumValue("PravniPredpisSpuu")
    PRAVNI_PREDPIS_SPUU("PravniPredpisSpuu"),
    @XmlEnumValue("KategorieSpuu")
    KATEGORIE_SPUU("KategorieSpuu"),
    @XmlEnumValue("PravniPredpisKategorieSpuu")
    PRAVNI_PREDPIS_KATEGORIE_SPUU("PravniPredpisKategorieSpuu"),
    @XmlEnumValue("OhlasovatelKategorieSpuu")
    OHLASOVATEL_KATEGORIE_SPUU("OhlasovatelKategorieSpuu"),
    @XmlEnumValue("SidloSpuu")
    SIDLO_SPUU("SidloSpuu"),
    @XmlEnumValue("VznikSpuu")
    VZNIK_SPUU("VznikSpuu"),
    @XmlEnumValue("PozastaveniSpuu")
    POZASTAVENI_SPUU("PozastaveniSpuu"),
    @XmlEnumValue("ZanikSpuu")
    ZANIK_SPUU("ZanikSpuu");
    private final String value;

    RppUdajSpuuType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RppUdajSpuuType fromValue(String v) {
        for (RppUdajSpuuType c: RppUdajSpuuType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
