
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.XmlValue;


/**
 * 
 *         Seznam všech identifikátorů adres. 
 *         Slouží pro: kontrolu existence v RUIAN a načtení dat z RUIAN.
 *         Pokud nejsou použity atributy, dojde k ověření dat v RUAIN.
 *       
 * 
 * <p>Java class for SeznamIdAdresType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SeznamIdAdresType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AdresniMisto" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;simpleContent&gt;
 *               &lt;extension base="&lt;urn:cz:isvs:reg:schemas:RegTypy:v1&gt;KodAdresniMistoType"&gt;
 *                 &lt;attribute name="stavOvereniPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}StavOvereniPrvkuRuianType" /&gt;
 *               &lt;/extension&gt;
 *             &lt;/simpleContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="AdresniLokalita" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;simpleContent&gt;
 *               &lt;extension base="&lt;urn:cz:isvs:reg:schemas:RegTypy:v1&gt;AdresniLokalitaType"&gt;
 *                 &lt;attribute name="stavOvereniPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}StavOvereniPrvkuRuianType" /&gt;
 *                 &lt;attribute name="typPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}TypAdresniLokalityType" default="OB" /&gt;
 *               &lt;/extension&gt;
 *             &lt;/simpleContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="nacistData" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SeznamIdAdresType", propOrder = {
    "adresniMisto",
    "adresniLokalita"
})
public class SeznamIdAdresType {

    @XmlElement(name = "AdresniMisto")
    protected List<SeznamIdAdresType.AdresniMisto> adresniMisto;
    @XmlElement(name = "AdresniLokalita")
    protected List<SeznamIdAdresType.AdresniLokalita> adresniLokalita;
    @XmlAttribute(name = "nacistData")
    protected Boolean nacistData;

    /**
     * Gets the value of the adresniMisto property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the adresniMisto property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAdresniMisto().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SeznamIdAdresType.AdresniMisto }
     * 
     * 
     */
    public List<SeznamIdAdresType.AdresniMisto> getAdresniMisto() {
        if (adresniMisto == null) {
            adresniMisto = new ArrayList<SeznamIdAdresType.AdresniMisto>();
        }
        return this.adresniMisto;
    }

    /**
     * Gets the value of the adresniLokalita property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the adresniLokalita property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAdresniLokalita().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link SeznamIdAdresType.AdresniLokalita }
     * 
     * 
     */
    public List<SeznamIdAdresType.AdresniLokalita> getAdresniLokalita() {
        if (adresniLokalita == null) {
            adresniLokalita = new ArrayList<SeznamIdAdresType.AdresniLokalita>();
        }
        return this.adresniLokalita;
    }

    /**
     * Gets the value of the nacistData property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isNacistData() {
        return nacistData;
    }

    /**
     * Sets the value of the nacistData property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNacistData(Boolean value) {
        this.nacistData = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;simpleContent&gt;
     *     &lt;extension base="&lt;urn:cz:isvs:reg:schemas:RegTypy:v1&gt;AdresniLokalitaType"&gt;
     *       &lt;attribute name="stavOvereniPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}StavOvereniPrvkuRuianType" /&gt;
     *       &lt;attribute name="typPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}TypAdresniLokalityType" default="OB" /&gt;
     *     &lt;/extension&gt;
     *   &lt;/simpleContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class AdresniLokalita {

        @XmlValue
        protected int value;
        @XmlAttribute(name = "stavOvereniPrvku")
        protected StavOvereniPrvkuRuianType stavOvereniPrvku;
        @XmlAttribute(name = "typPrvku")
        protected TypAdresniLokalityType typPrvku;

        /**
         * Identifikátor adresní jednotky (obec nebo pražský obvod) v RUAIN.
         * 
         */
        public int getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         */
        public void setValue(int value) {
            this.value = value;
        }

        /**
         * Gets the value of the stavOvereniPrvku property.
         * 
         * @return
         *     possible object is
         *     {@link StavOvereniPrvkuRuianType }
         *     
         */
        public StavOvereniPrvkuRuianType getStavOvereniPrvku() {
            return stavOvereniPrvku;
        }

        /**
         * Sets the value of the stavOvereniPrvku property.
         * 
         * @param value
         *     allowed object is
         *     {@link StavOvereniPrvkuRuianType }
         *     
         */
        public void setStavOvereniPrvku(StavOvereniPrvkuRuianType value) {
            this.stavOvereniPrvku = value;
        }

        /**
         * Gets the value of the typPrvku property.
         * 
         * @return
         *     possible object is
         *     {@link TypAdresniLokalityType }
         *     
         */
        public TypAdresniLokalityType getTypPrvku() {
            if (typPrvku == null) {
                return TypAdresniLokalityType.OB;
            } else {
                return typPrvku;
            }
        }

        /**
         * Sets the value of the typPrvku property.
         * 
         * @param value
         *     allowed object is
         *     {@link TypAdresniLokalityType }
         *     
         */
        public void setTypPrvku(TypAdresniLokalityType value) {
            this.typPrvku = value;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;simpleContent&gt;
     *     &lt;extension base="&lt;urn:cz:isvs:reg:schemas:RegTypy:v1&gt;KodAdresniMistoType"&gt;
     *       &lt;attribute name="stavOvereniPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}StavOvereniPrvkuRuianType" /&gt;
     *     &lt;/extension&gt;
     *   &lt;/simpleContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "value"
    })
    public static class AdresniMisto {

        @XmlValue
        protected int value;
        @XmlAttribute(name = "stavOvereniPrvku")
        protected StavOvereniPrvkuRuianType stavOvereniPrvku;

        /**
         * Identifikátor adresního místa v RUAIN.
         * 
         */
        public int getValue() {
            return value;
        }

        /**
         * Sets the value of the value property.
         * 
         */
        public void setValue(int value) {
            this.value = value;
        }

        /**
         * Gets the value of the stavOvereniPrvku property.
         * 
         * @return
         *     possible object is
         *     {@link StavOvereniPrvkuRuianType }
         *     
         */
        public StavOvereniPrvkuRuianType getStavOvereniPrvku() {
            return stavOvereniPrvku;
        }

        /**
         * Sets the value of the stavOvereniPrvku property.
         * 
         * @param value
         *     allowed object is
         *     {@link StavOvereniPrvkuRuianType }
         *     
         */
        public void setStavOvereniPrvku(StavOvereniPrvkuRuianType value) {
            this.stavOvereniPrvku = value;
        }

    }

}
