
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Soubor na rozhraní.
 * 
 * <p>Java class for SouborType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SouborType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="IdSouboru" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UuidType"/&gt;
 *         &lt;element name="Heslo" type="{http://www.w3.org/2001/XMLSchema}base64Binary" minOccurs="0"/&gt;
 *         &lt;element name="Otisk" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}OtiskSHA1Type"/&gt;
 *         &lt;element name="TypSouboru" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SouborTypType"/&gt;
 *         &lt;element name="UcelSouboru" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UcelSouboruTypType"/&gt;
 *         &lt;element name="DostupnyOd" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *         &lt;element name="DostupnyDo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *         &lt;element name="Umisteni" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}NonEmptyNormStringType" minOccurs="0"/&gt;
 *         &lt;element name="PlatnostOd" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SouborType", propOrder = {
    "idSouboru",
    "heslo",
    "otisk",
    "typSouboru",
    "ucelSouboru",
    "dostupnyOd",
    "dostupnyDo",
    "umisteni",
    "platnostOd"
})
public class SouborType {

    @XmlElement(name = "IdSouboru", required = true)
    protected String idSouboru;
    @XmlElement(name = "Heslo")
    protected byte[] heslo;
    @XmlElement(name = "Otisk", required = true)
    protected byte[] otisk;
    @XmlElement(name = "TypSouboru", required = true)
    protected String typSouboru;
    @XmlElement(name = "UcelSouboru", required = true)
    @XmlSchemaType(name = "string")
    protected UcelSouboruTypType ucelSouboru;
    @XmlElement(name = "DostupnyOd", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar dostupnyOd;
    @XmlElement(name = "DostupnyDo", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar dostupnyDo;
    @XmlElement(name = "Umisteni")
    protected String umisteni;
    @XmlElement(name = "PlatnostOd", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar platnostOd;

    /**
     * Gets the value of the idSouboru property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdSouboru() {
        return idSouboru;
    }

    /**
     * Sets the value of the idSouboru property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdSouboru(String value) {
        this.idSouboru = value;
    }

    /**
     * Gets the value of the heslo property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getHeslo() {
        return heslo;
    }

    /**
     * Sets the value of the heslo property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setHeslo(byte[] value) {
        this.heslo = value;
    }

    /**
     * Gets the value of the otisk property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getOtisk() {
        return otisk;
    }

    /**
     * Sets the value of the otisk property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setOtisk(byte[] value) {
        this.otisk = value;
    }

    /**
     * Gets the value of the typSouboru property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTypSouboru() {
        return typSouboru;
    }

    /**
     * Sets the value of the typSouboru property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTypSouboru(String value) {
        this.typSouboru = value;
    }

    /**
     * Gets the value of the ucelSouboru property.
     * 
     * @return
     *     possible object is
     *     {@link UcelSouboruTypType }
     *     
     */
    public UcelSouboruTypType getUcelSouboru() {
        return ucelSouboru;
    }

    /**
     * Sets the value of the ucelSouboru property.
     * 
     * @param value
     *     allowed object is
     *     {@link UcelSouboruTypType }
     *     
     */
    public void setUcelSouboru(UcelSouboruTypType value) {
        this.ucelSouboru = value;
    }

    /**
     * Gets the value of the dostupnyOd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDostupnyOd() {
        return dostupnyOd;
    }

    /**
     * Sets the value of the dostupnyOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDostupnyOd(Calendar value) {
        this.dostupnyOd = value;
    }

    /**
     * Gets the value of the dostupnyDo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDostupnyDo() {
        return dostupnyDo;
    }

    /**
     * Sets the value of the dostupnyDo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDostupnyDo(Calendar value) {
        this.dostupnyDo = value;
    }

    /**
     * Gets the value of the umisteni property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUmisteni() {
        return umisteni;
    }

    /**
     * Sets the value of the umisteni property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUmisteni(String value) {
        this.umisteni = value;
    }

    /**
     * Gets the value of the platnostOd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getPlatnostOd() {
        return platnostOd;
    }

    /**
     * Sets the value of the platnostOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlatnostOd(Calendar value) {
        this.platnostOd = value;
    }

}
