
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.rob.schemas.robtypy.v1.LokalniAifoStavType;


/**
 * Čtení referenčních údajů z registru na základě vyhledání fyzické
 *                 osoby podle adresy pobytu, odpověď.
 *             
 * 
 * <p>Java class for RobCtiPodleAdresyDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiPodleAdresyDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobDotazyDataResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="PocetCelkem" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KladneCeleCisloType"/&gt;
 *         &lt;element name="EditorData" maxOccurs="unbounded"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="Editor" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *                   &lt;element name="EditorPocet" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KladneCeleCisloType"/&gt;
 *                   &lt;element name="Osoba" maxOccurs="unbounded" minOccurs="0"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="Aifo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}LokalniAifoStavType"/&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiPodleAdresyDataResponseType", propOrder = {
    "pocetCelkem",
    "editorData"
})
public class RobCtiPodleAdresyDataResponseType
    extends RobDotazyDataResponseType
{

    @XmlElement(name = "PocetCelkem")
    protected Integer pocetCelkem;
    @XmlElement(name = "EditorData")
    protected List<RobCtiPodleAdresyDataResponseType.EditorData> editorData;

    /**
     * Gets the value of the pocetCelkem property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPocetCelkem() {
        return pocetCelkem;
    }

    /**
     * Sets the value of the pocetCelkem property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPocetCelkem(Integer value) {
        this.pocetCelkem = value;
    }

    /**
     * Gets the value of the editorData property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the editorData property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getEditorData().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RobCtiPodleAdresyDataResponseType.EditorData }
     * 
     * 
     */
    public List<RobCtiPodleAdresyDataResponseType.EditorData> getEditorData() {
        if (editorData == null) {
            editorData = new ArrayList<RobCtiPodleAdresyDataResponseType.EditorData>();
        }
        return this.editorData;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="Editor" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
     *         &lt;element name="EditorPocet" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KladneCeleCisloType"/&gt;
     *         &lt;element name="Osoba" maxOccurs="unbounded" minOccurs="0"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="Aifo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}LokalniAifoStavType"/&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "editor",
        "editorPocet",
        "osoba"
    })
    public static class EditorData {

        @XmlElement(name = "Editor", required = true)
        @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
        @XmlSchemaType(name = "NMTOKEN")
        protected String editor;
        @XmlElement(name = "EditorPocet")
        protected int editorPocet;
        @XmlElement(name = "Osoba")
        protected List<RobCtiPodleAdresyDataResponseType.EditorData.Osoba> osoba;

        /**
         * Gets the value of the editor property.
         * 
         * @return
         *     possible object is
         *     {@link String }
         *     
         */
        public String getEditor() {
            return editor;
        }

        /**
         * Sets the value of the editor property.
         * 
         * @param value
         *     allowed object is
         *     {@link String }
         *     
         */
        public void setEditor(String value) {
            this.editor = value;
        }

        /**
         * Gets the value of the editorPocet property.
         * 
         */
        public int getEditorPocet() {
            return editorPocet;
        }

        /**
         * Sets the value of the editorPocet property.
         * 
         */
        public void setEditorPocet(int value) {
            this.editorPocet = value;
        }

        /**
         * Gets the value of the osoba property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the osoba property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getOsoba().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link RobCtiPodleAdresyDataResponseType.EditorData.Osoba }
         * 
         * 
         */
        public List<RobCtiPodleAdresyDataResponseType.EditorData.Osoba> getOsoba() {
            if (osoba == null) {
                osoba = new ArrayList<RobCtiPodleAdresyDataResponseType.EditorData.Osoba>();
            }
            return this.osoba;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="Aifo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}LokalniAifoStavType"/&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "aifo"
        })
        public static class Osoba {

            @XmlElement(name = "Aifo", required = true)
            protected LokalniAifoStavType aifo;

            /**
             * Gets the value of the aifo property.
             * 
             * @return
             *     possible object is
             *     {@link LokalniAifoStavType }
             *     
             */
            public LokalniAifoStavType getAifo() {
                return aifo;
            }

            /**
             * Sets the value of the aifo property.
             * 
             * @param value
             *     allowed object is
             *     {@link LokalniAifoStavType }
             *     
             */
            public void setAifo(LokalniAifoStavType value) {
                this.aifo = value;
            }

        }

    }

}
