
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.rob.schemas.robtypy.v1.AdresaPobytuStavType;
import cz.isvs.rob.schemas.robtypy.v1.CertifikatStavType;
import cz.isvs.rob.schemas.robtypy.v1.DatovaSchrankaStavType;
import cz.isvs.rob.schemas.robtypy.v1.DatumNarozeniStavType;
import cz.isvs.rob.schemas.robtypy.v1.DatumPravniMociUmrtiStavType;
import cz.isvs.rob.schemas.robtypy.v1.DatumUmrtiStavType;
import cz.isvs.rob.schemas.robtypy.v1.DokladStavType;
import cz.isvs.rob.schemas.robtypy.v1.DorucovaciAdresaStavType;
import cz.isvs.rob.schemas.robtypy.v1.EmailStavType;
import cz.isvs.rob.schemas.robtypy.v1.JmenoStavType;
import cz.isvs.rob.schemas.robtypy.v1.LokalniAifoStavType;
import cz.isvs.rob.schemas.robtypy.v1.MistoNarozeniStavType;
import cz.isvs.rob.schemas.robtypy.v1.MistoUmrtiStavType;
import cz.isvs.rob.schemas.robtypy.v1.ObcanstviStavType;
import cz.isvs.rob.schemas.robtypy.v1.OmezeniSvepravnostiStavType;
import cz.isvs.rob.schemas.robtypy.v1.PohlaviStavType;
import cz.isvs.rob.schemas.robtypy.v1.PrijmeniStavType;
import cz.isvs.rob.schemas.robtypy.v1.RodinnyStavPartnerstviStavType;
import cz.isvs.rob.schemas.robtypy.v1.RodnePrijmeniStavType;
import cz.isvs.rob.schemas.robtypy.v1.TelefonStavType;


/**
 * Čtení referenčních údajů z registru na základě vyhledání fyzické
 *                 osoby podle kombinace údajů, odpověď.
 *             
 * 
 * <p>Java class for RobCtiPodleUdajuDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobCtiPodleUdajuDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:rob:schemas:RobDotazyData:v1}RobDotazyDataResponseType"&gt;
 *       &lt;sequence minOccurs="0"&gt;
 *         &lt;element name="Osoba" maxOccurs="unbounded" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="AdresaPobytu" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}AdresaPobytuStavType" minOccurs="0"/&gt;
 *                   &lt;element name="Aifo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}LokalniAifoStavType"/&gt;
 *                   &lt;element name="AifoKontrolaType" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}AifoKontrolaType" minOccurs="0"/&gt;
 *                   &lt;element name="DatovaSchranka" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatovaSchrankaStavType" minOccurs="0"/&gt;
 *                   &lt;element name="DatumNarozeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumNarozeniStavType" minOccurs="0"/&gt;
 *                   &lt;element name="DatumPravniMociUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumPravniMociUmrtiStavType" minOccurs="0"/&gt;
 *                   &lt;element name="DatumUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumUmrtiStavType" minOccurs="0"/&gt;
 *                   &lt;element name="DorucovaciAdresa" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DorucovaciAdresaStavType" minOccurs="0"/&gt;
 *                   &lt;element name="Jmeno" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}JmenoStavType" minOccurs="0"/&gt;
 *                   &lt;element name="MistoNarozeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoNarozeniStavType" minOccurs="0"/&gt;
 *                   &lt;element name="MistoUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoUmrtiStavType" minOccurs="0"/&gt;
 *                   &lt;element name="Prijmeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PrijmeniStavType" minOccurs="0"/&gt;
 *                   &lt;element name="RodnePrijmeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RodnePrijmeniStavType" minOccurs="0"/&gt;
 *                   &lt;element name="OmezeniSvepravnosti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}OmezeniSvepravnostiStavType" minOccurs="0"/&gt;
 *                   &lt;element name="RodinnyStavPartnerstvi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RodinnyStavPartnerstviStavType" minOccurs="0"/&gt;
 *                   &lt;element name="Pohlavi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PohlaviStavType" minOccurs="0"/&gt;
 *                   &lt;element name="Telefon" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}TelefonStavType" minOccurs="0"/&gt;
 *                   &lt;element name="Email" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}EmailStavType" minOccurs="0"/&gt;
 *                   &lt;element name="Certifikaty" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}CertifikatStavType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *                   &lt;element name="Doklady" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladStavType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *                   &lt;element name="Obcanstvi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ObcanstviStavType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobCtiPodleUdajuDataResponseType", propOrder = {
    "osoba"
})
public class RobCtiPodleUdajuDataResponseType
    extends RobDotazyDataResponseType
{

    @XmlElement(name = "Osoba")
    protected List<RobCtiPodleUdajuDataResponseType.Osoba> osoba;

    /**
     * Gets the value of the osoba property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the osoba property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOsoba().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link RobCtiPodleUdajuDataResponseType.Osoba }
     * 
     * 
     */
    public List<RobCtiPodleUdajuDataResponseType.Osoba> getOsoba() {
        if (osoba == null) {
            osoba = new ArrayList<RobCtiPodleUdajuDataResponseType.Osoba>();
        }
        return this.osoba;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="AdresaPobytu" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}AdresaPobytuStavType" minOccurs="0"/&gt;
     *         &lt;element name="Aifo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}LokalniAifoStavType"/&gt;
     *         &lt;element name="AifoKontrolaType" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}AifoKontrolaType" minOccurs="0"/&gt;
     *         &lt;element name="DatovaSchranka" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatovaSchrankaStavType" minOccurs="0"/&gt;
     *         &lt;element name="DatumNarozeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumNarozeniStavType" minOccurs="0"/&gt;
     *         &lt;element name="DatumPravniMociUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumPravniMociUmrtiStavType" minOccurs="0"/&gt;
     *         &lt;element name="DatumUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DatumUmrtiStavType" minOccurs="0"/&gt;
     *         &lt;element name="DorucovaciAdresa" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DorucovaciAdresaStavType" minOccurs="0"/&gt;
     *         &lt;element name="Jmeno" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}JmenoStavType" minOccurs="0"/&gt;
     *         &lt;element name="MistoNarozeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoNarozeniStavType" minOccurs="0"/&gt;
     *         &lt;element name="MistoUmrti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoUmrtiStavType" minOccurs="0"/&gt;
     *         &lt;element name="Prijmeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PrijmeniStavType" minOccurs="0"/&gt;
     *         &lt;element name="RodnePrijmeni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RodnePrijmeniStavType" minOccurs="0"/&gt;
     *         &lt;element name="OmezeniSvepravnosti" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}OmezeniSvepravnostiStavType" minOccurs="0"/&gt;
     *         &lt;element name="RodinnyStavPartnerstvi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}RodinnyStavPartnerstviStavType" minOccurs="0"/&gt;
     *         &lt;element name="Pohlavi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}PohlaviStavType" minOccurs="0"/&gt;
     *         &lt;element name="Telefon" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}TelefonStavType" minOccurs="0"/&gt;
     *         &lt;element name="Email" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}EmailStavType" minOccurs="0"/&gt;
     *         &lt;element name="Certifikaty" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}CertifikatStavType" maxOccurs="unbounded" minOccurs="0"/&gt;
     *         &lt;element name="Doklady" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladStavType" maxOccurs="unbounded" minOccurs="0"/&gt;
     *         &lt;element name="Obcanstvi" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ObcanstviStavType" maxOccurs="unbounded" minOccurs="0"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "adresaPobytu",
        "aifo",
        "aifoKontrolaType",
        "datovaSchranka",
        "datumNarozeni",
        "datumPravniMociUmrti",
        "datumUmrti",
        "dorucovaciAdresa",
        "jmeno",
        "mistoNarozeni",
        "mistoUmrti",
        "prijmeni",
        "rodnePrijmeni",
        "omezeniSvepravnosti",
        "rodinnyStavPartnerstvi",
        "pohlavi",
        "telefon",
        "email",
        "certifikaty",
        "doklady",
        "obcanstvi"
    })
    public static class Osoba {

        @XmlElement(name = "AdresaPobytu", nillable = true)
        protected AdresaPobytuStavType adresaPobytu;
        @XmlElement(name = "Aifo", required = true)
        protected LokalniAifoStavType aifo;
        @XmlElement(name = "AifoKontrolaType")
        protected byte[] aifoKontrolaType;
        @XmlElement(name = "DatovaSchranka", nillable = true)
        protected DatovaSchrankaStavType datovaSchranka;
        @XmlElement(name = "DatumNarozeni", nillable = true)
        protected DatumNarozeniStavType datumNarozeni;
        @XmlElement(name = "DatumPravniMociUmrti", nillable = true)
        protected DatumPravniMociUmrtiStavType datumPravniMociUmrti;
        @XmlElement(name = "DatumUmrti", nillable = true)
        protected DatumUmrtiStavType datumUmrti;
        @XmlElement(name = "DorucovaciAdresa", nillable = true)
        protected DorucovaciAdresaStavType dorucovaciAdresa;
        @XmlElement(name = "Jmeno", nillable = true)
        protected JmenoStavType jmeno;
        @XmlElement(name = "MistoNarozeni", nillable = true)
        protected MistoNarozeniStavType mistoNarozeni;
        @XmlElement(name = "MistoUmrti", nillable = true)
        protected MistoUmrtiStavType mistoUmrti;
        @XmlElement(name = "Prijmeni", nillable = true)
        protected PrijmeniStavType prijmeni;
        @XmlElement(name = "RodnePrijmeni", nillable = true)
        protected RodnePrijmeniStavType rodnePrijmeni;
        @XmlElement(name = "OmezeniSvepravnosti", nillable = true)
        protected OmezeniSvepravnostiStavType omezeniSvepravnosti;
        @XmlElement(name = "RodinnyStavPartnerstvi", nillable = true)
        protected RodinnyStavPartnerstviStavType rodinnyStavPartnerstvi;
        @XmlElement(name = "Pohlavi", nillable = true)
        protected PohlaviStavType pohlavi;
        @XmlElement(name = "Telefon", nillable = true)
        protected TelefonStavType telefon;
        @XmlElement(name = "Email", nillable = true)
        protected EmailStavType email;
        @XmlElement(name = "Certifikaty")
        protected List<CertifikatStavType> certifikaty;
        @XmlElement(name = "Doklady")
        protected List<DokladStavType> doklady;
        @XmlElement(name = "Obcanstvi")
        protected List<ObcanstviStavType> obcanstvi;

        /**
         * Gets the value of the adresaPobytu property.
         * 
         * @return
         *     possible object is
         *     {@link AdresaPobytuStavType }
         *     
         */
        public AdresaPobytuStavType getAdresaPobytu() {
            return adresaPobytu;
        }

        /**
         * Sets the value of the adresaPobytu property.
         * 
         * @param value
         *     allowed object is
         *     {@link AdresaPobytuStavType }
         *     
         */
        public void setAdresaPobytu(AdresaPobytuStavType value) {
            this.adresaPobytu = value;
        }

        /**
         * Gets the value of the aifo property.
         * 
         * @return
         *     possible object is
         *     {@link LokalniAifoStavType }
         *     
         */
        public LokalniAifoStavType getAifo() {
            return aifo;
        }

        /**
         * Sets the value of the aifo property.
         * 
         * @param value
         *     allowed object is
         *     {@link LokalniAifoStavType }
         *     
         */
        public void setAifo(LokalniAifoStavType value) {
            this.aifo = value;
        }

        /**
         * Gets the value of the aifoKontrolaType property.
         * 
         * @return
         *     possible object is
         *     byte[]
         */
        public byte[] getAifoKontrolaType() {
            return aifoKontrolaType;
        }

        /**
         * Sets the value of the aifoKontrolaType property.
         * 
         * @param value
         *     allowed object is
         *     byte[]
         */
        public void setAifoKontrolaType(byte[] value) {
            this.aifoKontrolaType = value;
        }

        /**
         * Gets the value of the datovaSchranka property.
         * 
         * @return
         *     possible object is
         *     {@link DatovaSchrankaStavType }
         *     
         */
        public DatovaSchrankaStavType getDatovaSchranka() {
            return datovaSchranka;
        }

        /**
         * Sets the value of the datovaSchranka property.
         * 
         * @param value
         *     allowed object is
         *     {@link DatovaSchrankaStavType }
         *     
         */
        public void setDatovaSchranka(DatovaSchrankaStavType value) {
            this.datovaSchranka = value;
        }

        /**
         * Gets the value of the datumNarozeni property.
         * 
         * @return
         *     possible object is
         *     {@link DatumNarozeniStavType }
         *     
         */
        public DatumNarozeniStavType getDatumNarozeni() {
            return datumNarozeni;
        }

        /**
         * Sets the value of the datumNarozeni property.
         * 
         * @param value
         *     allowed object is
         *     {@link DatumNarozeniStavType }
         *     
         */
        public void setDatumNarozeni(DatumNarozeniStavType value) {
            this.datumNarozeni = value;
        }

        /**
         * Gets the value of the datumPravniMociUmrti property.
         * 
         * @return
         *     possible object is
         *     {@link DatumPravniMociUmrtiStavType }
         *     
         */
        public DatumPravniMociUmrtiStavType getDatumPravniMociUmrti() {
            return datumPravniMociUmrti;
        }

        /**
         * Sets the value of the datumPravniMociUmrti property.
         * 
         * @param value
         *     allowed object is
         *     {@link DatumPravniMociUmrtiStavType }
         *     
         */
        public void setDatumPravniMociUmrti(DatumPravniMociUmrtiStavType value) {
            this.datumPravniMociUmrti = value;
        }

        /**
         * Gets the value of the datumUmrti property.
         * 
         * @return
         *     possible object is
         *     {@link DatumUmrtiStavType }
         *     
         */
        public DatumUmrtiStavType getDatumUmrti() {
            return datumUmrti;
        }

        /**
         * Sets the value of the datumUmrti property.
         * 
         * @param value
         *     allowed object is
         *     {@link DatumUmrtiStavType }
         *     
         */
        public void setDatumUmrti(DatumUmrtiStavType value) {
            this.datumUmrti = value;
        }

        /**
         * Gets the value of the dorucovaciAdresa property.
         * 
         * @return
         *     possible object is
         *     {@link DorucovaciAdresaStavType }
         *     
         */
        public DorucovaciAdresaStavType getDorucovaciAdresa() {
            return dorucovaciAdresa;
        }

        /**
         * Sets the value of the dorucovaciAdresa property.
         * 
         * @param value
         *     allowed object is
         *     {@link DorucovaciAdresaStavType }
         *     
         */
        public void setDorucovaciAdresa(DorucovaciAdresaStavType value) {
            this.dorucovaciAdresa = value;
        }

        /**
         * Gets the value of the jmeno property.
         * 
         * @return
         *     possible object is
         *     {@link JmenoStavType }
         *     
         */
        public JmenoStavType getJmeno() {
            return jmeno;
        }

        /**
         * Sets the value of the jmeno property.
         * 
         * @param value
         *     allowed object is
         *     {@link JmenoStavType }
         *     
         */
        public void setJmeno(JmenoStavType value) {
            this.jmeno = value;
        }

        /**
         * Gets the value of the mistoNarozeni property.
         * 
         * @return
         *     possible object is
         *     {@link MistoNarozeniStavType }
         *     
         */
        public MistoNarozeniStavType getMistoNarozeni() {
            return mistoNarozeni;
        }

        /**
         * Sets the value of the mistoNarozeni property.
         * 
         * @param value
         *     allowed object is
         *     {@link MistoNarozeniStavType }
         *     
         */
        public void setMistoNarozeni(MistoNarozeniStavType value) {
            this.mistoNarozeni = value;
        }

        /**
         * Gets the value of the mistoUmrti property.
         * 
         * @return
         *     possible object is
         *     {@link MistoUmrtiStavType }
         *     
         */
        public MistoUmrtiStavType getMistoUmrti() {
            return mistoUmrti;
        }

        /**
         * Sets the value of the mistoUmrti property.
         * 
         * @param value
         *     allowed object is
         *     {@link MistoUmrtiStavType }
         *     
         */
        public void setMistoUmrti(MistoUmrtiStavType value) {
            this.mistoUmrti = value;
        }

        /**
         * Gets the value of the prijmeni property.
         * 
         * @return
         *     possible object is
         *     {@link PrijmeniStavType }
         *     
         */
        public PrijmeniStavType getPrijmeni() {
            return prijmeni;
        }

        /**
         * Sets the value of the prijmeni property.
         * 
         * @param value
         *     allowed object is
         *     {@link PrijmeniStavType }
         *     
         */
        public void setPrijmeni(PrijmeniStavType value) {
            this.prijmeni = value;
        }

        /**
         * Gets the value of the rodnePrijmeni property.
         * 
         * @return
         *     possible object is
         *     {@link RodnePrijmeniStavType }
         *     
         */
        public RodnePrijmeniStavType getRodnePrijmeni() {
            return rodnePrijmeni;
        }

        /**
         * Sets the value of the rodnePrijmeni property.
         * 
         * @param value
         *     allowed object is
         *     {@link RodnePrijmeniStavType }
         *     
         */
        public void setRodnePrijmeni(RodnePrijmeniStavType value) {
            this.rodnePrijmeni = value;
        }

        /**
         * Gets the value of the omezeniSvepravnosti property.
         * 
         * @return
         *     possible object is
         *     {@link OmezeniSvepravnostiStavType }
         *     
         */
        public OmezeniSvepravnostiStavType getOmezeniSvepravnosti() {
            return omezeniSvepravnosti;
        }

        /**
         * Sets the value of the omezeniSvepravnosti property.
         * 
         * @param value
         *     allowed object is
         *     {@link OmezeniSvepravnostiStavType }
         *     
         */
        public void setOmezeniSvepravnosti(OmezeniSvepravnostiStavType value) {
            this.omezeniSvepravnosti = value;
        }

        /**
         * Gets the value of the rodinnyStavPartnerstvi property.
         * 
         * @return
         *     possible object is
         *     {@link RodinnyStavPartnerstviStavType }
         *     
         */
        public RodinnyStavPartnerstviStavType getRodinnyStavPartnerstvi() {
            return rodinnyStavPartnerstvi;
        }

        /**
         * Sets the value of the rodinnyStavPartnerstvi property.
         * 
         * @param value
         *     allowed object is
         *     {@link RodinnyStavPartnerstviStavType }
         *     
         */
        public void setRodinnyStavPartnerstvi(RodinnyStavPartnerstviStavType value) {
            this.rodinnyStavPartnerstvi = value;
        }

        /**
         * Gets the value of the pohlavi property.
         * 
         * @return
         *     possible object is
         *     {@link PohlaviStavType }
         *     
         */
        public PohlaviStavType getPohlavi() {
            return pohlavi;
        }

        /**
         * Sets the value of the pohlavi property.
         * 
         * @param value
         *     allowed object is
         *     {@link PohlaviStavType }
         *     
         */
        public void setPohlavi(PohlaviStavType value) {
            this.pohlavi = value;
        }

        /**
         * Gets the value of the telefon property.
         * 
         * @return
         *     possible object is
         *     {@link TelefonStavType }
         *     
         */
        public TelefonStavType getTelefon() {
            return telefon;
        }

        /**
         * Sets the value of the telefon property.
         * 
         * @param value
         *     allowed object is
         *     {@link TelefonStavType }
         *     
         */
        public void setTelefon(TelefonStavType value) {
            this.telefon = value;
        }

        /**
         * Gets the value of the email property.
         * 
         * @return
         *     possible object is
         *     {@link EmailStavType }
         *     
         */
        public EmailStavType getEmail() {
            return email;
        }

        /**
         * Sets the value of the email property.
         * 
         * @param value
         *     allowed object is
         *     {@link EmailStavType }
         *     
         */
        public void setEmail(EmailStavType value) {
            this.email = value;
        }

        /**
         * Gets the value of the certifikaty property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the certifikaty property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getCertifikaty().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link CertifikatStavType }
         * 
         * 
         */
        public List<CertifikatStavType> getCertifikaty() {
            if (certifikaty == null) {
                certifikaty = new ArrayList<CertifikatStavType>();
            }
            return this.certifikaty;
        }

        /**
         * Gets the value of the doklady property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the doklady property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getDoklady().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link DokladStavType }
         * 
         * 
         */
        public List<DokladStavType> getDoklady() {
            if (doklady == null) {
                doklady = new ArrayList<DokladStavType>();
            }
            return this.doklady;
        }

        /**
         * Gets the value of the obcanstvi property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the obcanstvi property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getObcanstvi().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link ObcanstviStavType }
         * 
         * 
         */
        public List<ObcanstviStavType> getObcanstvi() {
            if (obcanstvi == null) {
                obcanstvi = new ArrayList<ObcanstviStavType>();
            }
            return this.obcanstvi;
        }

    }

}
