
package cz.isvs.rob.schemas.robtypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Certifikát.
 *             
 * 
 * <p>Java class for CertifikatType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="CertifikatType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SerioveCislo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}SerioveCisloCertifikatuType"/&gt;
 *         &lt;element name="Vydavatel" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}VydavatelCertifikatuType"/&gt;
 *         &lt;element name="PlatnostDo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType"/&gt;
 *         &lt;element name="OdvolanoOd" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "CertifikatType", propOrder = {
    "serioveCislo",
    "vydavatel",
    "platnostDo",
    "odvolanoOd"
})
@XmlSeeAlso({
    CertifikatStavType.class
})
public class CertifikatType {

    @XmlElement(name = "SerioveCislo")
    protected long serioveCislo;
    @XmlElement(name = "Vydavatel", required = true)
    protected String vydavatel;
    @XmlElement(name = "PlatnostDo", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar platnostDo;
    @XmlElement(name = "OdvolanoOd", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar odvolanoOd;

    /**
     * Gets the value of the serioveCislo property.
     * 
     */
    public long getSerioveCislo() {
        return serioveCislo;
    }

    /**
     * Sets the value of the serioveCislo property.
     * 
     */
    public void setSerioveCislo(long value) {
        this.serioveCislo = value;
    }

    /**
     * Gets the value of the vydavatel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getVydavatel() {
        return vydavatel;
    }

    /**
     * Sets the value of the vydavatel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setVydavatel(String value) {
        this.vydavatel = value;
    }

    /**
     * Gets the value of the platnostDo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getPlatnostDo() {
        return platnostDo;
    }

    /**
     * Sets the value of the platnostDo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPlatnostDo(Calendar value) {
        this.platnostDo = value;
    }

    /**
     * Gets the value of the odvolanoOd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getOdvolanoOd() {
        return odvolanoOd;
    }

    /**
     * Sets the value of the odvolanoOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOdvolanoOd(Calendar value) {
        this.odvolanoOd = value;
    }

}
