
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Nepovinná adresa, na kterou mají být doručovány písemnosti.
 *             
 * 
 * <p>Java class for DorucovaciAdresaType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DorucovaciAdresaType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AdresaCr" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DorucovaciAdresaCrType" minOccurs="0"/&gt;
 *         &lt;element name="AdresaOstatni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DorucovaciAdresaOstatniType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="typAdresy" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}TypDorucovaciAdresyType" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DorucovaciAdresaType", propOrder = {
    "adresaCr",
    "adresaOstatni"
})
@XmlSeeAlso({
    DorucovaciAdresaStavType.class
})
public class DorucovaciAdresaType {

    @XmlElement(name = "AdresaCr")
    protected Integer adresaCr;
    @XmlElement(name = "AdresaOstatni")
    protected String adresaOstatni;
    @XmlAttribute(name = "typAdresy")
    protected TypDorucovaciAdresyType typAdresy;

    /**
     * Gets the value of the adresaCr property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getAdresaCr() {
        return adresaCr;
    }

    /**
     * Sets the value of the adresaCr property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setAdresaCr(Integer value) {
        this.adresaCr = value;
    }

    /**
     * Gets the value of the adresaOstatni property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAdresaOstatni() {
        return adresaOstatni;
    }

    /**
     * Sets the value of the adresaOstatni property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAdresaOstatni(String value) {
        this.adresaOstatni = value;
    }

    /**
     * Gets the value of the typAdresy property.
     * 
     * @return
     *     possible object is
     *     {@link TypDorucovaciAdresyType }
     *     
     */
    public TypDorucovaciAdresyType getTypAdresy() {
        return typAdresy;
    }

    /**
     * Sets the value of the typAdresy property.
     * 
     * @param value
     *     allowed object is
     *     {@link TypDorucovaciAdresyType }
     *     
     */
    public void setTypAdresy(TypDorucovaciAdresyType value) {
        this.typAdresy = value;
    }

}
