
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Změna občanství.
 *                 Pokud je daná jenom položka Puvodni, jde o
 *                 zrušení občanství.
 *                 Pokud je daná jenom položka Novy, jde o zavedení občanství.
 *                 Jinak jde o změnu
 *                 občanství.
 *             
 * 
 * <p>Java class for ObcanstviZmenaType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ObcanstviZmenaType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Puvodni" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ObcanstviType" minOccurs="0"/&gt;
 *         &lt;element name="Novy" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ObcanstviType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ObcanstviZmenaType", propOrder = {
    "puvodni",
    "novy"
})
@XmlSeeAlso({
    ObcanstviZmenaStavType.class
})
public class ObcanstviZmenaType {

    @XmlElement(name = "Puvodni")
    protected Integer puvodni;
    @XmlElement(name = "Novy")
    protected Integer novy;

    /**
     * Gets the value of the puvodni property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPuvodni() {
        return puvodni;
    }

    /**
     * Sets the value of the puvodni property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPuvodni(Integer value) {
        this.puvodni = value;
    }

    /**
     * Gets the value of the novy property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getNovy() {
        return novy;
    }

    /**
     * Sets the value of the novy property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setNovy(Integer value) {
        this.novy = value;
    }

}
