
package cz.isvs.ros.schemas.rosdotazydata.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.AngazovanaOsobaFiltrType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.DatovaSchrankaFiltrType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.FoFiltrType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.OsobaAgendyFiltrType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.ProvozovnaFiltrType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.StatutarniOrganFiltrType;


/**
 * 
 *               Čtení referenčních údajů osoby (osob) na základě vyhledávacích kritérií - služba S07.
 *             
 * 
 * <p>Java class for RosCtiPodleUdajuDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiPodleUdajuDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MaximalniPocet" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}MaximalniPocetType" minOccurs="0"/&gt;
 *         &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType" minOccurs="0"/&gt;
 *         &lt;element name="DatovaSchranka" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatovaSchrankaFiltrType" minOccurs="0"/&gt;
 *         &lt;element name="KodPravniFormy" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}KodPravniFormyType" minOccurs="0"/&gt;
 *         &lt;element name="KodPravnihoStavu" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}KodPravnihoStavuType" minOccurs="0"/&gt;
 *         &lt;element name="VerejnaProspesnost" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}VerejnaProspesnostType" minOccurs="0"/&gt;
 *         &lt;element name="StatutarniOrgan" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}StatutarniOrganFiltrType" minOccurs="0"/&gt;
 *         &lt;element name="Likvidator" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AngazovanaOsobaFiltrType" minOccurs="0"/&gt;
 *         &lt;element name="Opatrovnik" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AngazovanaOsobaFiltrType" minOccurs="0"/&gt;
 *         &lt;element name="NucenySpravce" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AngazovanaOsobaFiltrType" minOccurs="0"/&gt;
 *         &lt;element name="InsolvencniSpravce" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AngazovanaOsobaFiltrType" minOccurs="0"/&gt;
 *         &lt;element name="Provozovna" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}ProvozovnaFiltrType" minOccurs="0"/&gt;
 *         &lt;element name="OsobaAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaAgendyFiltrType" minOccurs="0"/&gt;
 *         &lt;element name="Fo" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FoFiltrType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="znepristupniLog" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiPodleUdajuDataType", propOrder = {
    "maximalniPocet",
    "ico",
    "datovaSchranka",
    "kodPravniFormy",
    "kodPravnihoStavu",
    "verejnaProspesnost",
    "statutarniOrgan",
    "likvidator",
    "opatrovnik",
    "nucenySpravce",
    "insolvencniSpravce",
    "provozovna",
    "osobaAgendy",
    "fo"
})
public class RosCtiPodleUdajuDataType {

    @XmlElement(name = "MaximalniPocet")
    protected Integer maximalniPocet;
    @XmlElement(name = "Ico")
    protected Integer ico;
    @XmlElement(name = "DatovaSchranka")
    protected DatovaSchrankaFiltrType datovaSchranka;
    @XmlElement(name = "KodPravniFormy")
    protected Integer kodPravniFormy;
    @XmlElement(name = "KodPravnihoStavu")
    protected Integer kodPravnihoStavu;
    @XmlElement(name = "VerejnaProspesnost")
    protected Boolean verejnaProspesnost;
    @XmlElement(name = "StatutarniOrgan")
    protected StatutarniOrganFiltrType statutarniOrgan;
    @XmlElement(name = "Likvidator")
    protected AngazovanaOsobaFiltrType likvidator;
    @XmlElement(name = "Opatrovnik")
    protected AngazovanaOsobaFiltrType opatrovnik;
    @XmlElement(name = "NucenySpravce")
    protected AngazovanaOsobaFiltrType nucenySpravce;
    @XmlElement(name = "InsolvencniSpravce")
    protected AngazovanaOsobaFiltrType insolvencniSpravce;
    @XmlElement(name = "Provozovna")
    protected ProvozovnaFiltrType provozovna;
    @XmlElement(name = "OsobaAgendy")
    protected OsobaAgendyFiltrType osobaAgendy;
    @XmlElement(name = "Fo")
    protected FoFiltrType fo;
    @XmlAttribute(name = "znepristupniLog")
    protected Boolean znepristupniLog;

    /**
     * Gets the value of the maximalniPocet property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getMaximalniPocet() {
        return maximalniPocet;
    }

    /**
     * Sets the value of the maximalniPocet property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setMaximalniPocet(Integer value) {
        this.maximalniPocet = value;
    }

    /**
     * Gets the value of the ico property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getIco() {
        return ico;
    }

    /**
     * Sets the value of the ico property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setIco(Integer value) {
        this.ico = value;
    }

    /**
     * Gets the value of the datovaSchranka property.
     * 
     * @return
     *     possible object is
     *     {@link DatovaSchrankaFiltrType }
     *     
     */
    public DatovaSchrankaFiltrType getDatovaSchranka() {
        return datovaSchranka;
    }

    /**
     * Sets the value of the datovaSchranka property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatovaSchrankaFiltrType }
     *     
     */
    public void setDatovaSchranka(DatovaSchrankaFiltrType value) {
        this.datovaSchranka = value;
    }

    /**
     * Gets the value of the kodPravniFormy property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getKodPravniFormy() {
        return kodPravniFormy;
    }

    /**
     * Sets the value of the kodPravniFormy property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setKodPravniFormy(Integer value) {
        this.kodPravniFormy = value;
    }

    /**
     * Gets the value of the kodPravnihoStavu property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getKodPravnihoStavu() {
        return kodPravnihoStavu;
    }

    /**
     * Sets the value of the kodPravnihoStavu property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setKodPravnihoStavu(Integer value) {
        this.kodPravnihoStavu = value;
    }

    /**
     * Gets the value of the verejnaProspesnost property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isVerejnaProspesnost() {
        return verejnaProspesnost;
    }

    /**
     * Sets the value of the verejnaProspesnost property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setVerejnaProspesnost(Boolean value) {
        this.verejnaProspesnost = value;
    }

    /**
     * Gets the value of the statutarniOrgan property.
     * 
     * @return
     *     possible object is
     *     {@link StatutarniOrganFiltrType }
     *     
     */
    public StatutarniOrganFiltrType getStatutarniOrgan() {
        return statutarniOrgan;
    }

    /**
     * Sets the value of the statutarniOrgan property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatutarniOrganFiltrType }
     *     
     */
    public void setStatutarniOrgan(StatutarniOrganFiltrType value) {
        this.statutarniOrgan = value;
    }

    /**
     * Gets the value of the likvidator property.
     * 
     * @return
     *     possible object is
     *     {@link AngazovanaOsobaFiltrType }
     *     
     */
    public AngazovanaOsobaFiltrType getLikvidator() {
        return likvidator;
    }

    /**
     * Sets the value of the likvidator property.
     * 
     * @param value
     *     allowed object is
     *     {@link AngazovanaOsobaFiltrType }
     *     
     */
    public void setLikvidator(AngazovanaOsobaFiltrType value) {
        this.likvidator = value;
    }

    /**
     * Gets the value of the opatrovnik property.
     * 
     * @return
     *     possible object is
     *     {@link AngazovanaOsobaFiltrType }
     *     
     */
    public AngazovanaOsobaFiltrType getOpatrovnik() {
        return opatrovnik;
    }

    /**
     * Sets the value of the opatrovnik property.
     * 
     * @param value
     *     allowed object is
     *     {@link AngazovanaOsobaFiltrType }
     *     
     */
    public void setOpatrovnik(AngazovanaOsobaFiltrType value) {
        this.opatrovnik = value;
    }

    /**
     * Gets the value of the nucenySpravce property.
     * 
     * @return
     *     possible object is
     *     {@link AngazovanaOsobaFiltrType }
     *     
     */
    public AngazovanaOsobaFiltrType getNucenySpravce() {
        return nucenySpravce;
    }

    /**
     * Sets the value of the nucenySpravce property.
     * 
     * @param value
     *     allowed object is
     *     {@link AngazovanaOsobaFiltrType }
     *     
     */
    public void setNucenySpravce(AngazovanaOsobaFiltrType value) {
        this.nucenySpravce = value;
    }

    /**
     * Gets the value of the insolvencniSpravce property.
     * 
     * @return
     *     possible object is
     *     {@link AngazovanaOsobaFiltrType }
     *     
     */
    public AngazovanaOsobaFiltrType getInsolvencniSpravce() {
        return insolvencniSpravce;
    }

    /**
     * Sets the value of the insolvencniSpravce property.
     * 
     * @param value
     *     allowed object is
     *     {@link AngazovanaOsobaFiltrType }
     *     
     */
    public void setInsolvencniSpravce(AngazovanaOsobaFiltrType value) {
        this.insolvencniSpravce = value;
    }

    /**
     * Gets the value of the provozovna property.
     * 
     * @return
     *     possible object is
     *     {@link ProvozovnaFiltrType }
     *     
     */
    public ProvozovnaFiltrType getProvozovna() {
        return provozovna;
    }

    /**
     * Sets the value of the provozovna property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvozovnaFiltrType }
     *     
     */
    public void setProvozovna(ProvozovnaFiltrType value) {
        this.provozovna = value;
    }

    /**
     * Gets the value of the osobaAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link OsobaAgendyFiltrType }
     *     
     */
    public OsobaAgendyFiltrType getOsobaAgendy() {
        return osobaAgendy;
    }

    /**
     * Sets the value of the osobaAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OsobaAgendyFiltrType }
     *     
     */
    public void setOsobaAgendy(OsobaAgendyFiltrType value) {
        this.osobaAgendy = value;
    }

    /**
     * Gets the value of the fo property.
     * 
     * @return
     *     possible object is
     *     {@link FoFiltrType }
     *     
     */
    public FoFiltrType getFo() {
        return fo;
    }

    /**
     * Sets the value of the fo property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoFiltrType }
     *     
     */
    public void setFo(FoFiltrType value) {
        this.fo = value;
    }

    /**
     * Gets the value of the znepristupniLog property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isZnepristupniLog() {
        return znepristupniLog;
    }

    /**
     * Sets the value of the znepristupniLog property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setZnepristupniLog(Boolean value) {
        this.znepristupniLog = value;
    }

}
