
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rostypy.v2.AdresaType;
import cz.isvs.ros.schemas.rostypy.v2.StavRosType;


/**
 * 
 *                 Adresa sídla v odpovědi z ROS včetně stavu, který může být i nedefinovaný.
 *             
 * 
 * <p>Java class for AdresaSidlaStavResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdresaSidlaStavResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosTypy:v2}AdresaType"&gt;
 *       &lt;attribute name="stav" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}StavRosType" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdresaSidlaStavResponseType")
public class AdresaSidlaStavResponseType
    extends AdresaType
{

    @XmlAttribute(name = "stav")
    protected StavRosType stav;

    /**
     * Gets the value of the stav property.
     * 
     * @return
     *     possible object is
     *     {@link StavRosType }
     *     
     */
    public StavRosType getStav() {
        return stav;
    }

    /**
     * Sets the value of the stav property.
     * 
     * @param value
     *     allowed object is
     *     {@link StavRosType }
     *     
     */
    public void setStav(StavRosType value) {
        this.stav = value;
    }

}
