
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Datum vzniku oprávnění k činnosti osoby v agendě v odpovědi z ROS včetně stavu
 *                 a provozních údajů o poslední změně.
 *                 Vrácení prázného údaje je možné jen v případě hodnoty stavu = nedefinovany.
 *             
 * 
 * <p>Java class for DatumVznikuOpravneniResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DatumVznikuOpravneniResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="DatumVznikuOpravneniUdaj" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatumVznikuOpravneniStavResponseType"/&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DatumVznikuOpravneniResponseType", propOrder = {
    "datumVznikuOpravneniUdaj",
    "provozniUdaje"
})
public class DatumVznikuOpravneniResponseType {

    @XmlElement(name = "DatumVznikuOpravneniUdaj", required = true, nillable = true)
    protected DatumVznikuOpravneniStavResponseType datumVznikuOpravneniUdaj;
    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the datumVznikuOpravneniUdaj property.
     * 
     * @return
     *     possible object is
     *     {@link DatumVznikuOpravneniStavResponseType }
     *     
     */
    public DatumVznikuOpravneniStavResponseType getDatumVznikuOpravneniUdaj() {
        return datumVznikuOpravneniUdaj;
    }

    /**
     * Sets the value of the datumVznikuOpravneniUdaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumVznikuOpravneniStavResponseType }
     *     
     */
    public void setDatumVznikuOpravneniUdaj(DatumVznikuOpravneniStavResponseType value) {
        this.datumVznikuOpravneniUdaj = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
