
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Datum zániku oprávnění k činnosti osoby v agendě v odpovědi z ROS včetně stavu
 *                 a provozních údajů o poslední změně.
 *             
 * 
 * <p>Java class for DatumZanikuOpravneniResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DatumZanikuOpravneniResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="DatumZanikuOpravneniUdaj" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatumZanikuOpravneniStavResponseType" minOccurs="0"/&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DatumZanikuOpravneniResponseType", propOrder = {
    "datumZanikuOpravneniUdaj",
    "provozniUdaje"
})
public class DatumZanikuOpravneniResponseType {

    @XmlElement(name = "DatumZanikuOpravneniUdaj", nillable = true)
    protected DatumZanikuOpravneniStavResponseType datumZanikuOpravneniUdaj;
    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the datumZanikuOpravneniUdaj property.
     * 
     * @return
     *     possible object is
     *     {@link DatumZanikuOpravneniStavResponseType }
     *     
     */
    public DatumZanikuOpravneniStavResponseType getDatumZanikuOpravneniUdaj() {
        return datumZanikuOpravneniUdaj;
    }

    /**
     * Sets the value of the datumZanikuOpravneniUdaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumZanikuOpravneniStavResponseType }
     *     
     */
    public void setDatumZanikuOpravneniUdaj(DatumZanikuOpravneniStavResponseType value) {
        this.datumZanikuOpravneniUdaj = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
