
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.FoStavType;
import cz.isvs.ros.schemas.roseditacetypy.v1.InsolvencniSpravceStavType;


/**
 * 
 *                 Fyzická osoba (podnikatel) v odpovědi z ROS včetně stavu jednotlivých údajů.
 *                 Odlišení povinných a nepovinných údajů (služby S05 a S06 nemají možnost na vstupu vybírat 
 *                 požadované údaje).                
 *             
 * 
 * <p>Java class for FyzickaOsobaStavResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FyzickaOsobaStavResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaStavResponseAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OsobyAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobyAgendyStavResponseType"/&gt;
 *         &lt;element name="Fo" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}FoStavType"/&gt;
 *         &lt;element name="InsolvencniSpravce" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}InsolvencniSpravceStavType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FyzickaOsobaStavResponseType", propOrder = {
    "osobyAgendy",
    "fo",
    "insolvencniSpravce"
})
public class FyzickaOsobaStavResponseType
    extends OsobaStavResponseAbstractType
{

    @XmlElement(name = "OsobyAgendy", required = true)
    protected OsobyAgendyStavResponseType osobyAgendy;
    @XmlElement(name = "Fo", required = true)
    protected FoStavType fo;
    @XmlElement(name = "InsolvencniSpravce")
    protected InsolvencniSpravceStavType insolvencniSpravce;

    /**
     * Gets the value of the osobyAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link OsobyAgendyStavResponseType }
     *     
     */
    public OsobyAgendyStavResponseType getOsobyAgendy() {
        return osobyAgendy;
    }

    /**
     * Sets the value of the osobyAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OsobyAgendyStavResponseType }
     *     
     */
    public void setOsobyAgendy(OsobyAgendyStavResponseType value) {
        this.osobyAgendy = value;
    }

    /**
     * Gets the value of the fo property.
     * 
     * @return
     *     possible object is
     *     {@link FoStavType }
     *     
     */
    public FoStavType getFo() {
        return fo;
    }

    /**
     * Sets the value of the fo property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoStavType }
     *     
     */
    public void setFo(FoStavType value) {
        this.fo = value;
    }

    /**
     * Gets the value of the insolvencniSpravce property.
     * 
     * @return
     *     possible object is
     *     {@link InsolvencniSpravceStavType }
     *     
     */
    public InsolvencniSpravceStavType getInsolvencniSpravce() {
        return insolvencniSpravce;
    }

    /**
     * Sets the value of the insolvencniSpravce property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsolvencniSpravceStavType }
     *     
     */
    public void setInsolvencniSpravce(InsolvencniSpravceStavType value) {
        this.insolvencniSpravce = value;
    }

}
