
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.InsolvencniSpravceStavType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Insolvenční správce v odpovědi z ROS včetně stavu a provozních údajů o poslední změně.
 *             
 * 
 * <p>Java class for InsolvencniSpravceResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="InsolvencniSpravceResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="InsolvencniSpravceUdaj" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}InsolvencniSpravceStavType" minOccurs="0"/&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "InsolvencniSpravceResponseType", propOrder = {
    "insolvencniSpravceUdaj",
    "provozniUdaje"
})
public class InsolvencniSpravceResponseType {

    @XmlElement(name = "InsolvencniSpravceUdaj", nillable = true)
    protected InsolvencniSpravceStavType insolvencniSpravceUdaj;
    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the insolvencniSpravceUdaj property.
     * 
     * @return
     *     possible object is
     *     {@link InsolvencniSpravceStavType }
     *     
     */
    public InsolvencniSpravceStavType getInsolvencniSpravceUdaj() {
        return insolvencniSpravceUdaj;
    }

    /**
     * Sets the value of the insolvencniSpravceUdaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsolvencniSpravceStavType }
     *     
     */
    public void setInsolvencniSpravceUdaj(InsolvencniSpravceStavType value) {
        this.insolvencniSpravceUdaj = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
