
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Kontaktní údaje osoby v odpovědi z ROS včetně provozních údajů o poslední změně. 
 *             
 * 
 * <p>Java class for KontaktniUdajeResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="KontaktniUdajeResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KontaktniUdajeUdaj" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}KontaktniUdajeStavType"/&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "KontaktniUdajeResponseType", propOrder = {
    "kontaktniUdajeUdaj",
    "provozniUdaje"
})
public class KontaktniUdajeResponseType {

    @XmlElement(name = "KontaktniUdajeUdaj", required = true, nillable = true)
    protected KontaktniUdajeStavType kontaktniUdajeUdaj;
    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the kontaktniUdajeUdaj property.
     * 
     * @return
     *     possible object is
     *     {@link KontaktniUdajeStavType }
     *     
     */
    public KontaktniUdajeStavType getKontaktniUdajeUdaj() {
        return kontaktniUdajeUdaj;
    }

    /**
     * Sets the value of the kontaktniUdajeUdaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link KontaktniUdajeStavType }
     *     
     */
    public void setKontaktniUdajeUdaj(KontaktniUdajeStavType value) {
        this.kontaktniUdajeUdaj = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
