
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Osoby ve vztahu k agendě a jejímu agendovému místu v odpovědi z ROS
 *                 včetně stavu jednotlivých údajů osob agendy. Některé údaje osoby agendy jsou nepovinné
 *                 (služby S07 a S14 mají možnost na vstupu vybírat požadované údaje).
 *             
 * 
 * <p>Java class for OsobyAgendyHrStavResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OsobyAgendyHrStavResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OsobaAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaAgendyHrStavResponseType" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OsobyAgendyHrStavResponseType", propOrder = {
    "osobaAgendy"
})
public class OsobyAgendyHrStavResponseType {

    @XmlElement(name = "OsobaAgendy", required = true)
    protected List<OsobaAgendyHrStavResponseType> osobaAgendy;

    /**
     * Gets the value of the osobaAgendy property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the osobaAgendy property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOsobaAgendy().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OsobaAgendyHrStavResponseType }
     * 
     * 
     */
    public List<OsobaAgendyHrStavResponseType> getOsobaAgendy() {
        if (osobaAgendy == null) {
            osobaAgendy = new ArrayList<OsobaAgendyHrStavResponseType>();
        }
        return this.osobaAgendy;
    }

}
