
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.InsolvencniSpravciStav2Type;
import cz.isvs.ros.schemas.roseditacetypy.v1.LikvidatoriStav2Type;
import cz.isvs.ros.schemas.roseditacetypy.v1.NuceniSpravciStav2Type;
import cz.isvs.ros.schemas.roseditacetypy.v1.OpatrovniciStav2Type;


/**
 * 
 *                 Právnická osoba v odpovědi z ROS včetně stavu jednotlivých údajů - 2. verze služeb.
 *                 Jednotlivé údaje osoby jsou nepovinné (služby S31, S32, S33, S34 mají možnost na vstupu vybírat 
 *                 požadované údaje).
 *             
 * 
 * <p>Java class for PravnickaOsobaStavResponse2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PravnickaOsobaStavResponse2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaHrStavResponseAbstract2Type"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OsobaAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaAgendyHrStavResponse2Type" minOccurs="0"/&gt;
 *         &lt;element name="KontaktniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}KontaktniUdajeStavType" minOccurs="0"/&gt;
 *         &lt;element name="StatutarniOrgany" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}StatOrganyZastupceStavResponse2Type" minOccurs="0"/&gt;
 *         &lt;element name="Likvidatori" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}LikvidatoriStav2Type" minOccurs="0"/&gt;
 *         &lt;element name="Opatrovnici" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}OpatrovniciStav2Type" minOccurs="0"/&gt;
 *         &lt;element name="NuceniSpravci" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}NuceniSpravciStav2Type" minOccurs="0"/&gt;
 *         &lt;element name="InsolvencniSpravci" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}InsolvencniSpravciStav2Type" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PravnickaOsobaStavResponse2Type", propOrder = {
    "osobaAgendy",
    "kontaktniUdaje",
    "statutarniOrgany",
    "likvidatori",
    "opatrovnici",
    "nuceniSpravci",
    "insolvencniSpravci"
})
public class PravnickaOsobaStavResponse2Type
    extends OsobaHrStavResponseAbstract2Type
{

    @XmlElement(name = "OsobaAgendy")
    protected OsobaAgendyHrStavResponse2Type osobaAgendy;
    @XmlElement(name = "KontaktniUdaje")
    protected KontaktniUdajeStavType kontaktniUdaje;
    @XmlElement(name = "StatutarniOrgany")
    protected StatOrganyZastupceStavResponse2Type statutarniOrgany;
    @XmlElement(name = "Likvidatori")
    protected LikvidatoriStav2Type likvidatori;
    @XmlElement(name = "Opatrovnici")
    protected OpatrovniciStav2Type opatrovnici;
    @XmlElement(name = "NuceniSpravci")
    protected NuceniSpravciStav2Type nuceniSpravci;
    @XmlElement(name = "InsolvencniSpravci")
    protected InsolvencniSpravciStav2Type insolvencniSpravci;

    /**
     * Gets the value of the osobaAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link OsobaAgendyHrStavResponse2Type }
     *     
     */
    public OsobaAgendyHrStavResponse2Type getOsobaAgendy() {
        return osobaAgendy;
    }

    /**
     * Sets the value of the osobaAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OsobaAgendyHrStavResponse2Type }
     *     
     */
    public void setOsobaAgendy(OsobaAgendyHrStavResponse2Type value) {
        this.osobaAgendy = value;
    }

    /**
     * Gets the value of the kontaktniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link KontaktniUdajeStavType }
     *     
     */
    public KontaktniUdajeStavType getKontaktniUdaje() {
        return kontaktniUdaje;
    }

    /**
     * Sets the value of the kontaktniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link KontaktniUdajeStavType }
     *     
     */
    public void setKontaktniUdaje(KontaktniUdajeStavType value) {
        this.kontaktniUdaje = value;
    }

    /**
     * Gets the value of the statutarniOrgany property.
     * 
     * @return
     *     possible object is
     *     {@link StatOrganyZastupceStavResponse2Type }
     *     
     */
    public StatOrganyZastupceStavResponse2Type getStatutarniOrgany() {
        return statutarniOrgany;
    }

    /**
     * Sets the value of the statutarniOrgany property.
     * 
     * @param value
     *     allowed object is
     *     {@link StatOrganyZastupceStavResponse2Type }
     *     
     */
    public void setStatutarniOrgany(StatOrganyZastupceStavResponse2Type value) {
        this.statutarniOrgany = value;
    }

    /**
     * Gets the value of the likvidatori property.
     * 
     * @return
     *     possible object is
     *     {@link LikvidatoriStav2Type }
     *     
     */
    public LikvidatoriStav2Type getLikvidatori() {
        return likvidatori;
    }

    /**
     * Sets the value of the likvidatori property.
     * 
     * @param value
     *     allowed object is
     *     {@link LikvidatoriStav2Type }
     *     
     */
    public void setLikvidatori(LikvidatoriStav2Type value) {
        this.likvidatori = value;
    }

    /**
     * Gets the value of the opatrovnici property.
     * 
     * @return
     *     possible object is
     *     {@link OpatrovniciStav2Type }
     *     
     */
    public OpatrovniciStav2Type getOpatrovnici() {
        return opatrovnici;
    }

    /**
     * Sets the value of the opatrovnici property.
     * 
     * @param value
     *     allowed object is
     *     {@link OpatrovniciStav2Type }
     *     
     */
    public void setOpatrovnici(OpatrovniciStav2Type value) {
        this.opatrovnici = value;
    }

    /**
     * Gets the value of the nuceniSpravci property.
     * 
     * @return
     *     possible object is
     *     {@link NuceniSpravciStav2Type }
     *     
     */
    public NuceniSpravciStav2Type getNuceniSpravci() {
        return nuceniSpravci;
    }

    /**
     * Sets the value of the nuceniSpravci property.
     * 
     * @param value
     *     allowed object is
     *     {@link NuceniSpravciStav2Type }
     *     
     */
    public void setNuceniSpravci(NuceniSpravciStav2Type value) {
        this.nuceniSpravci = value;
    }

    /**
     * Gets the value of the insolvencniSpravci property.
     * 
     * @return
     *     possible object is
     *     {@link InsolvencniSpravciStav2Type }
     *     
     */
    public InsolvencniSpravciStav2Type getInsolvencniSpravci() {
        return insolvencniSpravci;
    }

    /**
     * Sets the value of the insolvencniSpravci property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsolvencniSpravciStav2Type }
     *     
     */
    public void setInsolvencniSpravci(InsolvencniSpravciStav2Type value) {
        this.insolvencniSpravci = value;
    }

}
