
package cz.isvs.ros.schemas.roseditacetypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.DatovaSchrankaType;
import cz.isvs.ros.schemas.rostypy.v2.StavRosType;


/**
 * 
 *                 Datová schránka osoby v editačním dotazu do ROS včetně stavu.
 *             
 * 
 * <p>Java class for DatovaSchrankaStavType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DatovaSchrankaStavType"&gt;
 *   &lt;simpleContent&gt;
 *     &lt;extension base="&lt;urn:cz:isvs:reg:schemas:RegTypy:v1&gt;DatovaSchrankaType"&gt;
 *       &lt;attribute name="stav"&gt;
 *         &lt;simpleType&gt;
 *           &lt;restriction base="{urn:cz:isvs:ros:schemas:RosTypy:v2}StavRosType"&gt;
 *             &lt;enumeration value="spravny"/&gt;
 *             &lt;enumeration value="nespravny"/&gt;
 *           &lt;/restriction&gt;
 *         &lt;/simpleType&gt;
 *       &lt;/attribute&gt;
 *     &lt;/extension&gt;
 *   &lt;/simpleContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DatovaSchrankaStavType")
public class DatovaSchrankaStavType
    extends DatovaSchrankaType
{

    @XmlAttribute(name = "stav")
    protected StavRosType stav;

    /**
     * Gets the value of the stav property.
     * 
     * @return
     *     possible object is
     *     {@link StavRosType }
     *     
     */
    public StavRosType getStav() {
        return stav;
    }

    /**
     * Sets the value of the stav property.
     * 
     * @param value
     *     allowed object is
     *     {@link StavRosType }
     *     
     */
    public void setStav(StavRosType value) {
        this.stav = value;
    }

}
