
package cz.isvs.ros.schemas.roseditacetypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Provozovny osoby v editačním dotazu (pouze vložení) do ROS 
 *                 včetně stavu jednotlivých údajů provozoven.
 *             
 * 
 * <p>Java class for ProvozovnyStavType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProvozovnyStavType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Provozovna" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}ProvozovnaStavType" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProvozovnyStavType", propOrder = {
    "provozovna"
})
public class ProvozovnyStavType {

    @XmlElement(name = "Provozovna", required = true)
    protected List<ProvozovnaStavType> provozovna;

    /**
     * Gets the value of the provozovna property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the provozovna property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getProvozovna().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link ProvozovnaStavType }
     * 
     * 
     */
    public List<ProvozovnaStavType> getProvozovna() {
        if (provozovna == null) {
            provozovna = new ArrayList<ProvozovnaStavType>();
        }
        return this.provozovna;
    }

}
