
package cz.isvs.ros.schemas.rostypy.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Identifikační číslo provozovny v ROS včetně návratového statusu. 
 *             
 * 
 * <p>Java class for IcpStatusType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IcpStatusType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Icp" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcpType"/&gt;
 *         &lt;element name="VysledekDetail" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}VysledekDetailType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IcpStatusType", propOrder = {
    "icp",
    "vysledekDetail"
})
public class IcpStatusType {

    @XmlElement(name = "Icp")
    protected long icp;
    @XmlElement(name = "VysledekDetail", required = true)
    protected VysledekDetailType vysledekDetail;

    /**
     * Gets the value of the icp property.
     * 
     */
    public long getIcp() {
        return icp;
    }

    /**
     * Sets the value of the icp property.
     * 
     */
    public void setIcp(long value) {
        this.icp = value;
    }

    /**
     * Gets the value of the vysledekDetail property.
     * 
     * @return
     *     possible object is
     *     {@link VysledekDetailType }
     *     
     */
    public VysledekDetailType getVysledekDetail() {
        return vysledekDetail;
    }

    /**
     * Sets the value of the vysledekDetail property.
     * 
     * @param value
     *     allowed object is
     *     {@link VysledekDetailType }
     *     
     */
    public void setVysledekDetail(VysledekDetailType value) {
        this.vysledekDetail = value;
    }

}
