
package cz.isvs.ruian.schemas.commontypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TypPrvkuType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TypPrvkuType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="ST"/&gt;
 *     &lt;enumeration value="RS"/&gt;
 *     &lt;enumeration value="KR"/&gt;
 *     &lt;enumeration value="VC"/&gt;
 *     &lt;enumeration value="OK"/&gt;
 *     &lt;enumeration value="OP"/&gt;
 *     &lt;enumeration value="PU"/&gt;
 *     &lt;enumeration value="OB"/&gt;
 *     &lt;enumeration value="SP"/&gt;
 *     &lt;enumeration value="MP"/&gt;
 *     &lt;enumeration value="MC"/&gt;
 *     &lt;enumeration value="CO"/&gt;
 *     &lt;enumeration value="KU"/&gt;
 *     &lt;enumeration value="ZJ"/&gt;
 *     &lt;enumeration value="UL"/&gt;
 *     &lt;enumeration value="PA"/&gt;
 *     &lt;enumeration value="SO"/&gt;
 *     &lt;enumeration value="AD"/&gt;
 *     &lt;enumeration value="PO"/&gt;
 *     &lt;enumeration value="VO"/&gt;
 *     &lt;enumeration value="UP"/&gt;
 *     &lt;enumeration value="BU"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TypPrvkuType")
@XmlEnum
public enum TypPrvkuType {


    /**
     * Území státu.
     * 
     */
    ST,

    /**
     * Území regionu soudržnosti.
     * 
     */
    RS,

    /**
     * Území kraje.
     * 
     */
    KR,

    /**
     * Území vyššího územně samosprávného celku.
     * 
     */
    VC,

    /**
     * Území okresu.
     * 
     */
    OK,

    /**
     * Správní obvod obce s rozšířenou působností.
     * 
     */
    OP,

    /**
     * Správní obvod obce s pověřeným obecním úřadem.
     * 
     */
    PU,

    /**
     * Území obce, území vojenského újezdu.
     * 
     */
    OB,

    /**
     * Správní obvod v hlavním městě Praze.
     * 
     */
    SP,

    /**
     * Území městského obvodu v hlavním městě Praze.
     * 
     */
    MP,

    /**
     * Území městského obvodu nebo městské části územně členěného statutárního města.
     * 
     */
    MC,

    /**
     * Část obce.
     * 
     */
    CO,

    /**
     * Katastrální území.
     * 
     */
    KU,

    /**
     * Území základní sídelní jednotky.
     * 
     */
    ZJ,

    /**
     * Ulice nebo jiné veřejné prostranství.
     * 
     */
    UL,

    /**
     * Pozemek v podobě parcely.
     * 
     */
    PA,

    /**
     * Stavební objekt.
     * 
     */
    SO,

    /**
     * Adresní místo.
     * 
     */
    AD,

    /**
     * Adresní pošta.
     * 
     */
    PO,

    /**
     * Volební okrsek
     * 
     */
    VO,

    /**
     * Účelový prvek
     * 
     */
    UP,

    /**
     * Budova
     * 
     */
    BU;

    public String value() {
        return name();
    }

    public static TypPrvkuType fromValue(String v) {
        return valueOf(v);
    }

}
