
package cz.isvs.ruian.schemas.commontypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TypVymennehoFormatuType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TypVymennehoFormatuType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="ST_UZSZ"/&gt;
 *     &lt;enumeration value="ST_UZHZ"/&gt;
 *     &lt;enumeration value="ST_UKSG"/&gt;
 *     &lt;enumeration value="ST_UKSH"/&gt;
 *     &lt;enumeration value="ST_UKSO"/&gt;
 *     &lt;enumeration value="OB_UZSZ"/&gt;
 *     &lt;enumeration value="OB_UZHZ"/&gt;
 *     &lt;enumeration value="OB_UKSH"/&gt;
 *     &lt;enumeration value="ST_ZZSZ"/&gt;
 *     &lt;enumeration value="ST_ZZHZ"/&gt;
 *     &lt;enumeration value="ST_ZKSG"/&gt;
 *     &lt;enumeration value="ST_ZKSH"/&gt;
 *     &lt;enumeration value="ST_ZKSO"/&gt;
 *     &lt;enumeration value="ST_UCIS"/&gt;
 *     &lt;enumeration value="ST_ZCIS"/&gt;
 *     &lt;enumeration value="ST_UVOH"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TypVymennehoFormatuType")
@XmlEnum
public enum TypVymennehoFormatuType {


    /**
     * Základní současná datová sada pro ČR.
     * 
     */
    ST_UZSZ,

    /**
     * Základní historická datová sada pro ČR.
     * 
     */
    ST_UZHZ,

    /**
     * Kompletní současná datová sada pro ČR.
     * 
     */
    ST_UKSG,

    /**
     * Kompletní současná datová sada pro ČR včetně originálních hranic.
     * 
     */
    ST_UKSH,

    /**
     * Kompletní současná datová sada vlajek a znaků pro ČR.
     * 
     */
    ST_UKSO,

    /**
     * Základní současná datová sada pro obec.
     * 
     */
    OB_UZSZ,

    /**
     * Základní historická datová sada pro obec.
     * 
     */
    OB_UZHZ,

    /**
     * Základní současná datová sada pro obec včetně geometrických údajů.
     * 
     */
    OB_UKSH,

    /**
     * Základní změnová, současná datová sada pro stát až ZSJ.
     * 
     */
    ST_ZZSZ,

    /**
     * Základní změnová, historická datová sada pro stát až ZSJ.
     * 
     */
    ST_ZZHZ,

    /**
     * Změnová, současná datová sada pro stát až ZSJ včetně originálních hraníc.
     * 
     */
    ST_ZKSG,

    /**
     * Změnová, současná datová sada včetně originálnich hranic pro stát až ZSJ.
     * 
     */
    ST_ZKSH,

    /**
     * Změnová, současná  datová sada vlajek a znaků.
     * 
     */
    ST_ZKSO,

    /**
     * Čísleníky celé
     * 
     */
    ST_UCIS,

    /**
     * Čísleníky změnové
     * 
     */
    ST_ZCIS,

    /**
     * Speciální tematická sada - volební okrsky
     * 
     */
    ST_UVOH;

    public String value() {
        return name();
    }

    public static TypVymennehoFormatuType fromValue(String v) {
        return valueOf(v);
    }

}
