
package cz.isvs.ruian.schemas.ctiadresa.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Adresa ve formě jednotlivých položek.
 * 
 * <p>Java class for AdresaPolozkovaType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AdresaPolozkovaType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OkresKod" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod4Type" minOccurs="0"/&gt;
 *         &lt;element name="OkresNazev" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Nazev32Type" minOccurs="0"/&gt;
 *         &lt;element name="ObecKod" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod6Type" minOccurs="0"/&gt;
 *         &lt;element name="ObecNazev" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Nazev48Type" minOccurs="0"/&gt;
 *         &lt;element name="CastObceKod" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod6Type" minOccurs="0"/&gt;
 *         &lt;element name="CastObceNazev" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Nazev48Type" minOccurs="0"/&gt;
 *         &lt;element name="UliceKod" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod7Type" minOccurs="0"/&gt;
 *         &lt;element name="UliceNazev" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Nazev48Type" minOccurs="0"/&gt;
 *         &lt;element name="PostaKod" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod5Type" minOccurs="0"/&gt;
 *         &lt;element name="PostaNazev" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Nazev48Type" minOccurs="0"/&gt;
 *         &lt;element name="StavebniObjektKod" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod9Type" minOccurs="0"/&gt;
 *         &lt;element name="AdresniMistoKod" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAdresniMistoType" minOccurs="0"/&gt;
 *         &lt;element name="TypCislaDomovnihoKod" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod1Type" minOccurs="0"/&gt;
 *         &lt;element name="CisloDomovni" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod4Type" minOccurs="0"/&gt;
 *         &lt;element name="CisloOrientacni" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod3Type" minOccurs="0"/&gt;
 *         &lt;element name="CisloOrientacniPismeno" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod1TextType" minOccurs="0"/&gt;
 *         &lt;element name="ObvodPrahyKod" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Kod3Type" minOccurs="0"/&gt;
 *         &lt;element name="ObvodPrahyNazev" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Nazev32Type" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AdresaPolozkovaType", propOrder = {
    "okresKod",
    "okresNazev",
    "obecKod",
    "obecNazev",
    "castObceKod",
    "castObceNazev",
    "uliceKod",
    "uliceNazev",
    "postaKod",
    "postaNazev",
    "stavebniObjektKod",
    "adresniMistoKod",
    "typCislaDomovnihoKod",
    "cisloDomovni",
    "cisloOrientacni",
    "cisloOrientacniPismeno",
    "obvodPrahyKod",
    "obvodPrahyNazev"
})
public class AdresaPolozkovaType {

    @XmlElement(name = "OkresKod")
    protected Integer okresKod;
    @XmlElement(name = "OkresNazev")
    protected String okresNazev;
    @XmlElement(name = "ObecKod")
    protected Integer obecKod;
    @XmlElement(name = "ObecNazev")
    protected String obecNazev;
    @XmlElement(name = "CastObceKod")
    protected Integer castObceKod;
    @XmlElement(name = "CastObceNazev")
    protected String castObceNazev;
    @XmlElement(name = "UliceKod")
    protected Integer uliceKod;
    @XmlElement(name = "UliceNazev")
    protected String uliceNazev;
    @XmlElement(name = "PostaKod")
    protected Integer postaKod;
    @XmlElement(name = "PostaNazev")
    protected String postaNazev;
    @XmlElement(name = "StavebniObjektKod")
    protected Integer stavebniObjektKod;
    @XmlElement(name = "AdresniMistoKod")
    protected Integer adresniMistoKod;
    @XmlElement(name = "TypCislaDomovnihoKod")
    protected Integer typCislaDomovnihoKod;
    @XmlElement(name = "CisloDomovni")
    protected Integer cisloDomovni;
    @XmlElement(name = "CisloOrientacni")
    protected Integer cisloOrientacni;
    @XmlElement(name = "CisloOrientacniPismeno")
    protected String cisloOrientacniPismeno;
    @XmlElement(name = "ObvodPrahyKod")
    protected Integer obvodPrahyKod;
    @XmlElement(name = "ObvodPrahyNazev")
    protected String obvodPrahyNazev;

    /**
     * Gets the value of the okresKod property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getOkresKod() {
        return okresKod;
    }

    /**
     * Sets the value of the okresKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setOkresKod(Integer value) {
        this.okresKod = value;
    }

    /**
     * Gets the value of the okresNazev property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getOkresNazev() {
        return okresNazev;
    }

    /**
     * Sets the value of the okresNazev property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setOkresNazev(String value) {
        this.okresNazev = value;
    }

    /**
     * Gets the value of the obecKod property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getObecKod() {
        return obecKod;
    }

    /**
     * Sets the value of the obecKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setObecKod(Integer value) {
        this.obecKod = value;
    }

    /**
     * Gets the value of the obecNazev property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getObecNazev() {
        return obecNazev;
    }

    /**
     * Sets the value of the obecNazev property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setObecNazev(String value) {
        this.obecNazev = value;
    }

    /**
     * Gets the value of the castObceKod property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getCastObceKod() {
        return castObceKod;
    }

    /**
     * Sets the value of the castObceKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setCastObceKod(Integer value) {
        this.castObceKod = value;
    }

    /**
     * Gets the value of the castObceNazev property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCastObceNazev() {
        return castObceNazev;
    }

    /**
     * Sets the value of the castObceNazev property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCastObceNazev(String value) {
        this.castObceNazev = value;
    }

    /**
     * Gets the value of the uliceKod property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getUliceKod() {
        return uliceKod;
    }

    /**
     * Sets the value of the uliceKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setUliceKod(Integer value) {
        this.uliceKod = value;
    }

    /**
     * Gets the value of the uliceNazev property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUliceNazev() {
        return uliceNazev;
    }

    /**
     * Sets the value of the uliceNazev property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUliceNazev(String value) {
        this.uliceNazev = value;
    }

    /**
     * Gets the value of the postaKod property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getPostaKod() {
        return postaKod;
    }

    /**
     * Sets the value of the postaKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setPostaKod(Integer value) {
        this.postaKod = value;
    }

    /**
     * Gets the value of the postaNazev property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPostaNazev() {
        return postaNazev;
    }

    /**
     * Sets the value of the postaNazev property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPostaNazev(String value) {
        this.postaNazev = value;
    }

    /**
     * Gets the value of the stavebniObjektKod property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getStavebniObjektKod() {
        return stavebniObjektKod;
    }

    /**
     * Sets the value of the stavebniObjektKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setStavebniObjektKod(Integer value) {
        this.stavebniObjektKod = value;
    }

    /**
     * Gets the value of the adresniMistoKod property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getAdresniMistoKod() {
        return adresniMistoKod;
    }

    /**
     * Sets the value of the adresniMistoKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setAdresniMistoKod(Integer value) {
        this.adresniMistoKod = value;
    }

    /**
     * Gets the value of the typCislaDomovnihoKod property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getTypCislaDomovnihoKod() {
        return typCislaDomovnihoKod;
    }

    /**
     * Sets the value of the typCislaDomovnihoKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setTypCislaDomovnihoKod(Integer value) {
        this.typCislaDomovnihoKod = value;
    }

    /**
     * Gets the value of the cisloDomovni property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getCisloDomovni() {
        return cisloDomovni;
    }

    /**
     * Sets the value of the cisloDomovni property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setCisloDomovni(Integer value) {
        this.cisloDomovni = value;
    }

    /**
     * Gets the value of the cisloOrientacni property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getCisloOrientacni() {
        return cisloOrientacni;
    }

    /**
     * Sets the value of the cisloOrientacni property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setCisloOrientacni(Integer value) {
        this.cisloOrientacni = value;
    }

    /**
     * Gets the value of the cisloOrientacniPismeno property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCisloOrientacniPismeno() {
        return cisloOrientacniPismeno;
    }

    /**
     * Sets the value of the cisloOrientacniPismeno property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCisloOrientacniPismeno(String value) {
        this.cisloOrientacniPismeno = value;
    }

    /**
     * Gets the value of the obvodPrahyKod property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getObvodPrahyKod() {
        return obvodPrahyKod;
    }

    /**
     * Sets the value of the obvodPrahyKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setObvodPrahyKod(Integer value) {
        this.obvodPrahyKod = value;
    }

    /**
     * Gets the value of the obvodPrahyNazev property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getObvodPrahyNazev() {
        return obvodPrahyNazev;
    }

    /**
     * Sets the value of the obvodPrahyNazev property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setObvodPrahyNazev(String value) {
        this.obvodPrahyNazev = value;
    }

}
