
package cz.isvs.iszr.schemas.iszrabstract.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.OdpovedInfoType;


/**
 * Univerzální odpověd na žádost, obálka pro data.
 * 
 * <p>Java class for IszrOdpovedAbstractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IszrOdpovedAbstractType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OdpovedInfo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}OdpovedInfoType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IszrOdpovedAbstractType", propOrder = {
    "odpovedInfo"
})
@XmlSeeAlso({
    IszrOdpovedAifoAbstractType.class,
    IszrOdpovedIdAdrAbstractType.class,
    IszrOdpovedAifoIdAdrAbstractType.class,
    IszrOdpovedPrvekAbstractType.class,
    IszrOdpovedIcoAbstractType.class,
    IszrOdpovedAifoIcoAbstractType.class,
    IszrOdpovedAifoIcoPrvekAbstractType.class,
    IszrOdpovedAifoIdAdrIcoAbstractType.class,
    IszrOdpovedAifoIdAdrIcoPrvekAbstractType.class
})
public abstract class IszrOdpovedAbstractType {

    @XmlElement(name = "OdpovedInfo", required = true)
    protected OdpovedInfoType odpovedInfo;

    /**
     * Gets the value of the odpovedInfo property.
     * 
     * @return
     *     possible object is
     *     {@link OdpovedInfoType }
     *     
     */
    public OdpovedInfoType getOdpovedInfo() {
        return odpovedInfo;
    }

    /**
     * Sets the value of the odpovedInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link OdpovedInfoType }
     *     
     */
    public void setOdpovedInfo(OdpovedInfoType value) {
        this.odpovedInfo = value;
    }

}
