
package cz.isvs.iszr.schemas.iszrabstract.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.MapaAifoType;
import cz.isvs.reg.schemas.regtypy.v1.SeznamIdAdresType;


/**
 * Univerzální odpověd na žádost se seznamem AIFO a ID adres, obálka pro data.
 * 
 * <p>Java class for IszrOdpovedAifoIdAdrAbstractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IszrOdpovedAifoIdAdrAbstractType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrOdpovedAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MapaAifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}MapaAifoType" minOccurs="0"/&gt;
 *         &lt;element name="SeznamIdAdres" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SeznamIdAdresType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IszrOdpovedAifoIdAdrAbstractType", propOrder = {
    "mapaAifo",
    "seznamIdAdres"
})
public abstract class IszrOdpovedAifoIdAdrAbstractType
    extends IszrOdpovedAbstractType
{

    @XmlElement(name = "MapaAifo")
    protected MapaAifoType mapaAifo;
    @XmlElement(name = "SeznamIdAdres")
    protected SeznamIdAdresType seznamIdAdres;

    /**
     * Gets the value of the mapaAifo property.
     * 
     * @return
     *     possible object is
     *     {@link MapaAifoType }
     *     
     */
    public MapaAifoType getMapaAifo() {
        return mapaAifo;
    }

    /**
     * Sets the value of the mapaAifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link MapaAifoType }
     *     
     */
    public void setMapaAifo(MapaAifoType value) {
        this.mapaAifo = value;
    }

    /**
     * Gets the value of the seznamIdAdres property.
     * 
     * @return
     *     possible object is
     *     {@link SeznamIdAdresType }
     *     
     */
    public SeznamIdAdresType getSeznamIdAdres() {
        return seznamIdAdres;
    }

    /**
     * Sets the value of the seznamIdAdres property.
     * 
     * @param value
     *     allowed object is
     *     {@link SeznamIdAdresType }
     *     
     */
    public void setSeznamIdAdres(SeznamIdAdresType value) {
        this.seznamIdAdres = value;
    }

}
