
package cz.isvs.iszr.schemas.iszrabstract.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Univerzální žádost.
 * 
 * <p>Java class for IszrZadostAbstractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IszrZadostAbstractType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrZadostAsyncAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="AutorizaceInfo" type="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}AutorizaceType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IszrZadostAbstractType", propOrder = {
    "autorizaceInfo"
})
@XmlSeeAlso({
    IszrZadostAifoAbstractType.class,
    IszrZadostRAifoAbstractType.class,
    IszrZadostRAifoIcoAbstractType.class,
    IszrZadostIdAdrAbstractType.class,
    IszrZadostRIdAdrAbstractType.class,
    IszrZadostAifoIdAdrAbstractType.class,
    IszrZadostPrvekAbstractType.class,
    IszrZadostIcoAbstractType.class,
    IszrZadostAifoIcoAbstractType.class,
    IszrZadostAifoIcoPrvekAbstractType.class,
    IszrZadostAifoIcoIdAdrAbstractType.class,
    IszrZadostBsiAbstractType.class
})
public abstract class IszrZadostAbstractType
    extends IszrZadostAsyncAbstractType
{

    @XmlElement(name = "AutorizaceInfo")
    protected AutorizaceType autorizaceInfo;

    /**
     * Gets the value of the autorizaceInfo property.
     * 
     * @return
     *     possible object is
     *     {@link AutorizaceType }
     *     
     */
    public AutorizaceType getAutorizaceInfo() {
        return autorizaceInfo;
    }

    /**
     * Sets the value of the autorizaceInfo property.
     * 
     * @param value
     *     allowed object is
     *     {@link AutorizaceType }
     *     
     */
    public void setAutorizaceInfo(AutorizaceType value) {
        this.autorizaceInfo = value;
    }

}
