
package cz.isvs.iszr.schemas.iszrasyncvypisfronty.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.iszr.schemas.iszrabstract.v1.IszrOdpovedAbstractType;
import cz.isvs.iszr.schemas.iszrabstract.v1.PolozkaFrontyType;


/**
 * Odpoved na výpis fronty. Vrací seznam položek.
 * 
 * <p>Java class for IszrAsyncVypisFrontyResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IszrAsyncVypisFrontyResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrOdpovedAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="IszrOdpoved" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="IszrAsyncVypisFrontyDataResponse"&gt;
 *                     &lt;complexType&gt;
 *                       &lt;complexContent&gt;
 *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                           &lt;sequence&gt;
 *                             &lt;element name="IszrAplikacniStatus" type="{urn:cz:isvs:iszr:schemas:IszrAsyncVypisFronty:v1}PokracovaniVypisuType"/&gt;
 *                             &lt;element name="PolozkyFronty"&gt;
 *                               &lt;complexType&gt;
 *                                 &lt;complexContent&gt;
 *                                   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                                     &lt;sequence&gt;
 *                                       &lt;element name="PolozkaFronty" type="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}PolozkaFrontyType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *                                     &lt;/sequence&gt;
 *                                   &lt;/restriction&gt;
 *                                 &lt;/complexContent&gt;
 *                               &lt;/complexType&gt;
 *                             &lt;/element&gt;
 *                           &lt;/sequence&gt;
 *                         &lt;/restriction&gt;
 *                       &lt;/complexContent&gt;
 *                     &lt;/complexType&gt;
 *                   &lt;/element&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IszrAsyncVypisFrontyResponseType", propOrder = {
    "iszrOdpoved"
})
public class IszrAsyncVypisFrontyResponseType
    extends IszrOdpovedAbstractType
{

    @XmlElement(name = "IszrOdpoved")
    protected IszrAsyncVypisFrontyResponseType.IszrOdpoved iszrOdpoved;

    /**
     * Gets the value of the iszrOdpoved property.
     * 
     * @return
     *     possible object is
     *     {@link IszrAsyncVypisFrontyResponseType.IszrOdpoved }
     *     
     */
    public IszrAsyncVypisFrontyResponseType.IszrOdpoved getIszrOdpoved() {
        return iszrOdpoved;
    }

    /**
     * Sets the value of the iszrOdpoved property.
     * 
     * @param value
     *     allowed object is
     *     {@link IszrAsyncVypisFrontyResponseType.IszrOdpoved }
     *     
     */
    public void setIszrOdpoved(IszrAsyncVypisFrontyResponseType.IszrOdpoved value) {
        this.iszrOdpoved = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="IszrAsyncVypisFrontyDataResponse"&gt;
     *           &lt;complexType&gt;
     *             &lt;complexContent&gt;
     *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                 &lt;sequence&gt;
     *                   &lt;element name="IszrAplikacniStatus" type="{urn:cz:isvs:iszr:schemas:IszrAsyncVypisFronty:v1}PokracovaniVypisuType"/&gt;
     *                   &lt;element name="PolozkyFronty"&gt;
     *                     &lt;complexType&gt;
     *                       &lt;complexContent&gt;
     *                         &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *                           &lt;sequence&gt;
     *                             &lt;element name="PolozkaFronty" type="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}PolozkaFrontyType" maxOccurs="unbounded" minOccurs="0"/&gt;
     *                           &lt;/sequence&gt;
     *                         &lt;/restriction&gt;
     *                       &lt;/complexContent&gt;
     *                     &lt;/complexType&gt;
     *                   &lt;/element&gt;
     *                 &lt;/sequence&gt;
     *               &lt;/restriction&gt;
     *             &lt;/complexContent&gt;
     *           &lt;/complexType&gt;
     *         &lt;/element&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "iszrAsyncVypisFrontyDataResponse"
    })
    public static class IszrOdpoved {

        @XmlElement(name = "IszrAsyncVypisFrontyDataResponse", required = true)
        protected IszrAsyncVypisFrontyResponseType.IszrOdpoved.IszrAsyncVypisFrontyDataResponse iszrAsyncVypisFrontyDataResponse;

        /**
         * Gets the value of the iszrAsyncVypisFrontyDataResponse property.
         * 
         * @return
         *     possible object is
         *     {@link IszrAsyncVypisFrontyResponseType.IszrOdpoved.IszrAsyncVypisFrontyDataResponse }
         *     
         */
        public IszrAsyncVypisFrontyResponseType.IszrOdpoved.IszrAsyncVypisFrontyDataResponse getIszrAsyncVypisFrontyDataResponse() {
            return iszrAsyncVypisFrontyDataResponse;
        }

        /**
         * Sets the value of the iszrAsyncVypisFrontyDataResponse property.
         * 
         * @param value
         *     allowed object is
         *     {@link IszrAsyncVypisFrontyResponseType.IszrOdpoved.IszrAsyncVypisFrontyDataResponse }
         *     
         */
        public void setIszrAsyncVypisFrontyDataResponse(IszrAsyncVypisFrontyResponseType.IszrOdpoved.IszrAsyncVypisFrontyDataResponse value) {
            this.iszrAsyncVypisFrontyDataResponse = value;
        }


        /**
         * <p>Java class for anonymous complex type.
         * 
         * <p>The following schema fragment specifies the expected content contained within this class.
         * 
         * <pre>
         * &lt;complexType&gt;
         *   &lt;complexContent&gt;
         *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *       &lt;sequence&gt;
         *         &lt;element name="IszrAplikacniStatus" type="{urn:cz:isvs:iszr:schemas:IszrAsyncVypisFronty:v1}PokracovaniVypisuType"/&gt;
         *         &lt;element name="PolozkyFronty"&gt;
         *           &lt;complexType&gt;
         *             &lt;complexContent&gt;
         *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
         *                 &lt;sequence&gt;
         *                   &lt;element name="PolozkaFronty" type="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}PolozkaFrontyType" maxOccurs="unbounded" minOccurs="0"/&gt;
         *                 &lt;/sequence&gt;
         *               &lt;/restriction&gt;
         *             &lt;/complexContent&gt;
         *           &lt;/complexType&gt;
         *         &lt;/element&gt;
         *       &lt;/sequence&gt;
         *     &lt;/restriction&gt;
         *   &lt;/complexContent&gt;
         * &lt;/complexType&gt;
         * </pre>
         * 
         * 
         */
        @XmlAccessorType(XmlAccessType.FIELD)
        @XmlType(name = "", propOrder = {
            "iszrAplikacniStatus",
            "polozkyFronty"
        })
        public static class IszrAsyncVypisFrontyDataResponse {

            @XmlElement(name = "IszrAplikacniStatus", required = true)
            protected PokracovaniVypisuType iszrAplikacniStatus;
            @XmlElement(name = "PolozkyFronty", required = true)
            protected IszrAsyncVypisFrontyResponseType.IszrOdpoved.IszrAsyncVypisFrontyDataResponse.PolozkyFronty polozkyFronty;

            /**
             * Gets the value of the iszrAplikacniStatus property.
             * 
             * @return
             *     possible object is
             *     {@link PokracovaniVypisuType }
             *     
             */
            public PokracovaniVypisuType getIszrAplikacniStatus() {
                return iszrAplikacniStatus;
            }

            /**
             * Sets the value of the iszrAplikacniStatus property.
             * 
             * @param value
             *     allowed object is
             *     {@link PokracovaniVypisuType }
             *     
             */
            public void setIszrAplikacniStatus(PokracovaniVypisuType value) {
                this.iszrAplikacniStatus = value;
            }

            /**
             * Gets the value of the polozkyFronty property.
             * 
             * @return
             *     possible object is
             *     {@link IszrAsyncVypisFrontyResponseType.IszrOdpoved.IszrAsyncVypisFrontyDataResponse.PolozkyFronty }
             *     
             */
            public IszrAsyncVypisFrontyResponseType.IszrOdpoved.IszrAsyncVypisFrontyDataResponse.PolozkyFronty getPolozkyFronty() {
                return polozkyFronty;
            }

            /**
             * Sets the value of the polozkyFronty property.
             * 
             * @param value
             *     allowed object is
             *     {@link IszrAsyncVypisFrontyResponseType.IszrOdpoved.IszrAsyncVypisFrontyDataResponse.PolozkyFronty }
             *     
             */
            public void setPolozkyFronty(IszrAsyncVypisFrontyResponseType.IszrOdpoved.IszrAsyncVypisFrontyDataResponse.PolozkyFronty value) {
                this.polozkyFronty = value;
            }


            /**
             * <p>Java class for anonymous complex type.
             * 
             * <p>The following schema fragment specifies the expected content contained within this class.
             * 
             * <pre>
             * &lt;complexType&gt;
             *   &lt;complexContent&gt;
             *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
             *       &lt;sequence&gt;
             *         &lt;element name="PolozkaFronty" type="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}PolozkaFrontyType" maxOccurs="unbounded" minOccurs="0"/&gt;
             *       &lt;/sequence&gt;
             *     &lt;/restriction&gt;
             *   &lt;/complexContent&gt;
             * &lt;/complexType&gt;
             * </pre>
             * 
             * 
             */
            @XmlAccessorType(XmlAccessType.FIELD)
            @XmlType(name = "", propOrder = {
                "polozkaFronty"
            })
            public static class PolozkyFronty {

                @XmlElement(name = "PolozkaFronty")
                protected List<PolozkaFrontyType> polozkaFronty;

                /**
                 * Gets the value of the polozkaFronty property.
                 * 
                 * <p>
                 * This accessor method returns a reference to the live list,
                 * not a snapshot. Therefore any modification you make to the
                 * returned list will be present inside the JAXB object.
                 * This is why there is not a <CODE>set</CODE> method for the polozkaFronty property.
                 * 
                 * <p>
                 * For example, to add a new item, do as follows:
                 * <pre>
                 *    getPolozkaFronty().add(newItem);
                 * </pre>
                 * 
                 * 
                 * <p>
                 * Objects of the following type(s) are allowed in the list
                 * {@link PolozkaFrontyType }
                 * 
                 * 
                 */
                public List<PolozkaFrontyType> getPolozkaFronty() {
                    if (polozkaFronty == null) {
                        polozkaFronty = new ArrayList<PolozkaFrontyType>();
                    }
                    return this.polozkaFronty;
                }

            }

        }

    }

}
