
package cz.isvs.iszr.schemas.iszrasyncvypisfronty.v1;

import java.math.BigInteger;
import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Omezení výpisu fronty. Od zadaného IdTransakce včetně a od času vytvoření odpovědi včetně. Pokud jsou zadány obě hodnoty, jsou vraceny záznamy vyhovující oběma podmínkám současně (logické AND).
 * 
 * <p>Java class for OmezeniVypisuType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OmezeniVypisuType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="IdTransakceOd" type="{urn:cz:isvs:iszr:schemas:IszrAsyncVypisFronty:v1}IdTransakceType" minOccurs="0"/&gt;
 *         &lt;element name="CasVytvoreniOd" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}CasovaZnackaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OmezeniVypisuType", propOrder = {
    "idTransakceOd",
    "casVytvoreniOd"
})
public class OmezeniVypisuType {

    @XmlElement(name = "IdTransakceOd")
    @XmlSchemaType(name = "unsignedLong")
    protected BigInteger idTransakceOd;
    @XmlElement(name = "CasVytvoreniOd", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casVytvoreniOd;

    /**
     * Gets the value of the idTransakceOd property.
     * 
     * @return
     *     possible object is
     *     {@link BigInteger }
     *     
     */
    public BigInteger getIdTransakceOd() {
        return idTransakceOd;
    }

    /**
     * Sets the value of the idTransakceOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link BigInteger }
     *     
     */
    public void setIdTransakceOd(BigInteger value) {
        this.idTransakceOd = value;
    }

    /**
     * Gets the value of the casVytvoreniOd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasVytvoreniOd() {
        return casVytvoreniOd;
    }

    /**
     * Sets the value of the casVytvoreniOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasVytvoreniOd(Calendar value) {
        this.casVytvoreniOd = value;
    }

}
