
package cz.isvs.iszr.schemas.iszrrosctiico2.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.iszr.schemas.iszrabstract.v1.IszrZadostAbstractType;
import cz.isvs.ros.schemas.rosdotazydata.v2.RosCtiIco2DataType;


/**
 * Služba E256 externího rozhraní - typ pro žádost. Služba na základě identifikace osoby pomocí IČO vrací požadované referenční údaje.
 * 
 * <p>Java class for RosCtiIco2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiIco2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:iszr:schemas:IszrAbstract:v1}IszrZadostAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Zadost"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="RosCtiIco2Data" type="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosCtiIco2DataType"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiIco2Type", propOrder = {
    "zadost"
})
public class RosCtiIco2Type
    extends IszrZadostAbstractType
{

    @XmlElement(name = "Zadost", required = true)
    protected RosCtiIco2Type.Zadost zadost;

    /**
     * Gets the value of the zadost property.
     * 
     * @return
     *     possible object is
     *     {@link RosCtiIco2Type.Zadost }
     *     
     */
    public RosCtiIco2Type.Zadost getZadost() {
        return zadost;
    }

    /**
     * Sets the value of the zadost property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosCtiIco2Type.Zadost }
     *     
     */
    public void setZadost(RosCtiIco2Type.Zadost value) {
        this.zadost = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="RosCtiIco2Data" type="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosCtiIco2DataType"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "rosCtiIco2Data"
    })
    public static class Zadost {

        @XmlElement(name = "RosCtiIco2Data", required = true)
        protected RosCtiIco2DataType rosCtiIco2Data;

        /**
         * Gets the value of the rosCtiIco2Data property.
         * 
         * @return
         *     possible object is
         *     {@link RosCtiIco2DataType }
         *     
         */
        public RosCtiIco2DataType getRosCtiIco2Data() {
            return rosCtiIco2Data;
        }

        /**
         * Sets the value of the rosCtiIco2Data property.
         * 
         * @param value
         *     allowed object is
         *     {@link RosCtiIco2DataType }
         *     
         */
        public void setRosCtiIco2Data(RosCtiIco2DataType value) {
            this.rosCtiIco2Data = value;
        }

    }

}
