
package cz.isvs.org.schemas.orgtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Metadata popisující soubor s daným ID pro danou AIS/Agendu
 * 
 * <p>Java class for OrgSouborType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrgSouborType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="IdSouboru" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UuidType"/&gt;
 *         &lt;element name="AisAgenda" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}OrgAgendaAisType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrgSouborType", propOrder = {
    "idSouboru",
    "aisAgenda"
})
public class OrgSouborType {

    @XmlElement(name = "IdSouboru", required = true)
    protected String idSouboru;
    @XmlElement(name = "AisAgenda", required = true)
    protected OrgAgendaAisType aisAgenda;

    /**
     * Gets the value of the idSouboru property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdSouboru() {
        return idSouboru;
    }

    /**
     * Sets the value of the idSouboru property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdSouboru(String value) {
        this.idSouboru = value;
    }

    /**
     * Gets the value of the aisAgenda property.
     * 
     * @return
     *     possible object is
     *     {@link OrgAgendaAisType }
     *     
     */
    public OrgAgendaAisType getAisAgenda() {
        return aisAgenda;
    }

    /**
     * Sets the value of the aisAgenda property.
     * 
     * @param value
     *     allowed object is
     *     {@link OrgAgendaAisType }
     *     
     */
    public void setAisAgenda(OrgAgendaAisType value) {
        this.aisAgenda = value;
    }

}
