
package cz.isvs.org.schemas.orgtypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Aplikační část ORGu.
 * 
 * <p>Java class for OrgStatusType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OrgStatusType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OrgAifoStatus" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}OrgAifoStatusType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;element name="OrgStatusDetail" type="{urn:cz:isvs:org:schemas:OrgTypy:v1}OrgStatusDetailType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OrgStatusType", propOrder = {
    "orgAifoStatus",
    "orgStatusDetail"
})
public class OrgStatusType {

    @XmlElement(name = "OrgAifoStatus")
    protected List<OrgAifoStatusType> orgAifoStatus;
    @XmlElement(name = "OrgStatusDetail")
    @XmlSchemaType(name = "string")
    protected List<OrgStatusDetailType> orgStatusDetail;

    /**
     * Gets the value of the orgAifoStatus property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the orgAifoStatus property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOrgAifoStatus().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OrgAifoStatusType }
     * 
     * 
     */
    public List<OrgAifoStatusType> getOrgAifoStatus() {
        if (orgAifoStatus == null) {
            orgAifoStatus = new ArrayList<OrgAifoStatusType>();
        }
        return this.orgAifoStatus;
    }

    /**
     * Gets the value of the orgStatusDetail property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the orgStatusDetail property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getOrgStatusDetail().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link OrgStatusDetailType }
     * 
     * 
     */
    public List<OrgStatusDetailType> getOrgStatusDetail() {
        if (orgStatusDetail == null) {
            orgStatusDetail = new ArrayList<OrgStatusDetailType>();
        }
        return this.orgStatusDetail;
    }

}
