
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Komprimovaná data MTOM/XOP.
 * 
 * <p>Java class for KomprimovanaDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="KomprimovanaDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:reg:schemas:RegTypy:v1}BinarniDataType"&gt;
 *       &lt;attribute name="metoda" use="required" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}MetodaKompreseType" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "KomprimovanaDataType")
public class KomprimovanaDataType
    extends BinarniDataType
{

    @XmlAttribute(name = "metoda", required = true)
    protected MetodaKompreseType metoda;

    /**
     * Gets the value of the metoda property.
     * 
     * @return
     *     possible object is
     *     {@link MetodaKompreseType }
     *     
     */
    public MetodaKompreseType getMetoda() {
        return metoda;
    }

    /**
     * Sets the value of the metoda property.
     * 
     * @param value
     *     allowed object is
     *     {@link MetodaKompreseType }
     *     
     */
    public void setMetoda(MetodaKompreseType value) {
        this.metoda = value;
    }

}
