
package cz.isvs.reg.schemas.regtypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Seznam všech AIFO převodníků.
 * 
 * <p>Java class for MapaAifoType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MapaAifoType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;choice&gt;
 *           &lt;element name="PrevodAifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}PrevodAifoType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *         &lt;/choice&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="lokalniAifoOd" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KladneCeleCisloType" /&gt;
 *       &lt;attribute name="nacistData" type="{http://www.w3.org/2001/XMLSchema}boolean" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MapaAifoType", propOrder = {
    "prevodAifo"
})
public class MapaAifoType {

    @XmlElement(name = "PrevodAifo")
    protected List<PrevodAifoType> prevodAifo;
    @XmlAttribute(name = "lokalniAifoOd")
    protected Integer lokalniAifoOd;
    @XmlAttribute(name = "nacistData")
    protected Boolean nacistData;

    /**
     * Gets the value of the prevodAifo property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the prevodAifo property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPrevodAifo().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link PrevodAifoType }
     * 
     * 
     */
    public List<PrevodAifoType> getPrevodAifo() {
        if (prevodAifo == null) {
            prevodAifo = new ArrayList<PrevodAifoType>();
        }
        return this.prevodAifo;
    }

    /**
     * Gets the value of the lokalniAifoOd property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getLokalniAifoOd() {
        return lokalniAifoOd;
    }

    /**
     * Sets the value of the lokalniAifoOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setLokalniAifoOd(Integer value) {
        this.lokalniAifoOd = value;
    }

    /**
     * Gets the value of the nacistData property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public Boolean isNacistData() {
        return nacistData;
    }

    /**
     * Sets the value of the nacistData property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setNacistData(Boolean value) {
        this.nacistData = value;
    }

}
