
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RobUdajType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RobUdajType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="AdresaPobytu"/&gt;
 *     &lt;enumeration value="AdresaUradu"/&gt;
 *     &lt;enumeration value="Aifo"/&gt;
 *     &lt;enumeration value="Bok"/&gt;
 *     &lt;enumeration value="DatovaSchranka"/&gt;
 *     &lt;enumeration value="DatumNarozeni"/&gt;
 *     &lt;enumeration value="DatumUmrti"/&gt;
 *     &lt;enumeration value="DatumPravniMociUmrti"/&gt;
 *     &lt;enumeration value="Doklad"/&gt;
 *     &lt;enumeration value="DorucovaciAdresa"/&gt;
 *     &lt;enumeration value="Editor"/&gt;
 *     &lt;enumeration value="Jmeno"/&gt;
 *     &lt;enumeration value="MistoNarozeni"/&gt;
 *     &lt;enumeration value="MistoUmrti"/&gt;
 *     &lt;enumeration value="Obcanstvi"/&gt;
 *     &lt;enumeration value="VyuzitiPoskytnuti"/&gt;
 *     &lt;enumeration value="Prijmeni"/&gt;
 *     &lt;enumeration value="TypOsoby"/&gt;
 *     &lt;enumeration value="Zmeny"/&gt;
 *     &lt;enumeration value="Znepristupneni"/&gt;
 *     &lt;enumeration value="PoskytnutiVyuziti"/&gt;
 *     &lt;enumeration value="PoskytnutiPoskytnuti"/&gt;
 *     &lt;enumeration value="PotlaceniZnepristupneni"/&gt;
 *     &lt;enumeration value="ZnepristupniLog"/&gt;
 *     &lt;enumeration value="ZmenyProDS"/&gt;
 *     &lt;enumeration value="VypisProSpravce"/&gt;
 *     &lt;enumeration value="VydatNeaktivniZaznamy"/&gt;
 *     &lt;enumeration value="Dereference"/&gt;
 *     &lt;enumeration value="RodnePrijmeni"/&gt;
 *     &lt;enumeration value="Pohlavi"/&gt;
 *     &lt;enumeration value="OmezeniSvepravnosti"/&gt;
 *     &lt;enumeration value="RodinnyStavPartnerstvi"/&gt;
 *     &lt;enumeration value="Telefon"/&gt;
 *     &lt;enumeration value="Email"/&gt;
 *     &lt;enumeration value="Certifikat"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "RobUdajType")
@XmlEnum
public enum RobUdajType {

    @XmlEnumValue("AdresaPobytu")
    ADRESA_POBYTU("AdresaPobytu"),
    @XmlEnumValue("AdresaUradu")
    ADRESA_URADU("AdresaUradu"),
    @XmlEnumValue("Aifo")
    AIFO("Aifo"),
    @XmlEnumValue("Bok")
    BOK("Bok"),
    @XmlEnumValue("DatovaSchranka")
    DATOVA_SCHRANKA("DatovaSchranka"),
    @XmlEnumValue("DatumNarozeni")
    DATUM_NAROZENI("DatumNarozeni"),
    @XmlEnumValue("DatumUmrti")
    DATUM_UMRTI("DatumUmrti"),
    @XmlEnumValue("DatumPravniMociUmrti")
    DATUM_PRAVNI_MOCI_UMRTI("DatumPravniMociUmrti"),
    @XmlEnumValue("Doklad")
    DOKLAD("Doklad"),
    @XmlEnumValue("DorucovaciAdresa")
    DORUCOVACI_ADRESA("DorucovaciAdresa"),
    @XmlEnumValue("Editor")
    EDITOR("Editor"),
    @XmlEnumValue("Jmeno")
    JMENO("Jmeno"),
    @XmlEnumValue("MistoNarozeni")
    MISTO_NAROZENI("MistoNarozeni"),
    @XmlEnumValue("MistoUmrti")
    MISTO_UMRTI("MistoUmrti"),
    @XmlEnumValue("Obcanstvi")
    OBCANSTVI("Obcanstvi"),
    @XmlEnumValue("VyuzitiPoskytnuti")
    VYUZITI_POSKYTNUTI("VyuzitiPoskytnuti"),
    @XmlEnumValue("Prijmeni")
    PRIJMENI("Prijmeni"),
    @XmlEnumValue("TypOsoby")
    TYP_OSOBY("TypOsoby"),
    @XmlEnumValue("Zmeny")
    ZMENY("Zmeny"),
    @XmlEnumValue("Znepristupneni")
    ZNEPRISTUPNENI("Znepristupneni"),
    @XmlEnumValue("PoskytnutiVyuziti")
    POSKYTNUTI_VYUZITI("PoskytnutiVyuziti"),
    @XmlEnumValue("PoskytnutiPoskytnuti")
    POSKYTNUTI_POSKYTNUTI("PoskytnutiPoskytnuti"),
    @XmlEnumValue("PotlaceniZnepristupneni")
    POTLACENI_ZNEPRISTUPNENI("PotlaceniZnepristupneni"),
    @XmlEnumValue("ZnepristupniLog")
    ZNEPRISTUPNI_LOG("ZnepristupniLog"),
    @XmlEnumValue("ZmenyProDS")
    ZMENY_PRO_DS("ZmenyProDS"),
    @XmlEnumValue("VypisProSpravce")
    VYPIS_PRO_SPRAVCE("VypisProSpravce"),
    @XmlEnumValue("VydatNeaktivniZaznamy")
    VYDAT_NEAKTIVNI_ZAZNAMY("VydatNeaktivniZaznamy"),
    @XmlEnumValue("Dereference")
    DEREFERENCE("Dereference"),
    @XmlEnumValue("RodnePrijmeni")
    RODNE_PRIJMENI("RodnePrijmeni"),
    @XmlEnumValue("Pohlavi")
    POHLAVI("Pohlavi"),
    @XmlEnumValue("OmezeniSvepravnosti")
    OMEZENI_SVEPRAVNOSTI("OmezeniSvepravnosti"),
    @XmlEnumValue("RodinnyStavPartnerstvi")
    RODINNY_STAV_PARTNERSTVI("RodinnyStavPartnerstvi"),
    @XmlEnumValue("Telefon")
    TELEFON("Telefon"),
    @XmlEnumValue("Email")
    EMAIL("Email"),
    @XmlEnumValue("Certifikat")
    CERTIFIKAT("Certifikat");
    private final String value;

    RobUdajType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RobUdajType fromValue(String v) {
        for (RobUdajType c: RobUdajType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
