
package cz.isvs.reg.schemas.regtypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlEnumValue;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for RppUdajPravaType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="RppUdajPravaType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="Ovm"/&gt;
 *     &lt;enumeration value="PravniPredpis"/&gt;
 *     &lt;enumeration value="IdentifikatorOsob"/&gt;
 *     &lt;enumeration value="IdentifikatorObjektu"/&gt;
 *     &lt;enumeration value="Agenda"/&gt;
 *     &lt;enumeration value="VymezeniPravaPovinnosti"/&gt;
 *     &lt;enumeration value="DatumNabyti"/&gt;
 *     &lt;enumeration value="OpravneneRole"/&gt;
 *     &lt;enumeration value="IdentifikatorRozhodnuti"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "RppUdajPravaType")
@XmlEnum
public enum RppUdajPravaType {

    @XmlEnumValue("Ovm")
    OVM("Ovm"),
    @XmlEnumValue("PravniPredpis")
    PRAVNI_PREDPIS("PravniPredpis"),
    @XmlEnumValue("IdentifikatorOsob")
    IDENTIFIKATOR_OSOB("IdentifikatorOsob"),
    @XmlEnumValue("IdentifikatorObjektu")
    IDENTIFIKATOR_OBJEKTU("IdentifikatorObjektu"),
    @XmlEnumValue("Agenda")
    AGENDA("Agenda"),
    @XmlEnumValue("VymezeniPravaPovinnosti")
    VYMEZENI_PRAVA_POVINNOSTI("VymezeniPravaPovinnosti"),
    @XmlEnumValue("DatumNabyti")
    DATUM_NABYTI("DatumNabyti"),
    @XmlEnumValue("OpravneneRole")
    OPRAVNENE_ROLE("OpravneneRole"),
    @XmlEnumValue("IdentifikatorRozhodnuti")
    IDENTIFIKATOR_ROZHODNUTI("IdentifikatorRozhodnuti");
    private final String value;

    RppUdajPravaType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static RppUdajPravaType fromValue(String v) {
        for (RppUdajPravaType c: RppUdajPravaType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
