
package cz.isvs.rob.schemas.robdotazydata.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Zjištění identity fyzické osoby prostřednictvím elektronického
 *                 identifikačního dokladu.
 *             
 * 
 * <p>Java class for RobAutentizaceDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobAutentizaceDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Cislo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladCisloType"/&gt;
 *         &lt;element name="Druh" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}DokladDruhType"/&gt;
 *         &lt;element name="Bok" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}BokType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobAutentizaceDataType", propOrder = {
    "cislo",
    "druh",
    "bok"
})
public class RobAutentizaceDataType {

    @XmlElement(name = "Cislo", required = true)
    protected String cislo;
    @XmlElement(name = "Druh", required = true)
    protected String druh;
    @XmlElement(name = "Bok")
    protected byte[] bok;

    /**
     * Gets the value of the cislo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCislo() {
        return cislo;
    }

    /**
     * Sets the value of the cislo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCislo(String value) {
        this.cislo = value;
    }

    /**
     * Gets the value of the druh property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDruh() {
        return druh;
    }

    /**
     * Sets the value of the druh property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDruh(String value) {
        this.druh = value;
    }

    /**
     * Gets the value of the bok property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getBok() {
        return bok;
    }

    /**
     * Sets the value of the bok property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setBok(byte[] value) {
        this.bok = value;
    }

}
