
package cz.isvs.rob.schemas.robdotazydata.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Vydání údaje o znepřístupnění výdeje.
 * 
 * <p>Java class for RobVypisBlokaceDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RobVypisBlokaceDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType" minOccurs="0"/&gt;
 *         &lt;element name="Subjekt" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}SubjektType" minOccurs="0"/&gt;
 *         &lt;element name="Agenda" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType" minOccurs="0"/&gt;
 *         &lt;element name="Uzivatel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}UzivatelType" minOccurs="0"/&gt;
 *         &lt;element name="DuvodUcel" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DuvodUcelType" minOccurs="0"/&gt;
 *         &lt;element name="CasOd" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZnepristupneniDatumCasType" minOccurs="0"/&gt;
 *         &lt;element name="CasDo" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}ZnepristupneniDatumCasType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RobVypisBlokaceDataType", propOrder = {
    "aifo",
    "subjekt",
    "agenda",
    "uzivatel",
    "duvodUcel",
    "casOd",
    "casDo"
})
public class RobVypisBlokaceDataType {

    @XmlElement(name = "Aifo")
    protected LokalniAifoType aifo;
    @XmlElement(name = "Subjekt")
    protected String subjekt;
    @XmlElement(name = "Agenda")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String agenda;
    @XmlElement(name = "Uzivatel")
    protected String uzivatel;
    @XmlElement(name = "DuvodUcel")
    protected String duvodUcel;
    @XmlElement(name = "CasOd", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casOd;
    @XmlElement(name = "CasDo", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casDo;

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the subjekt property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSubjekt() {
        return subjekt;
    }

    /**
     * Sets the value of the subjekt property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSubjekt(String value) {
        this.subjekt = value;
    }

    /**
     * Gets the value of the agenda property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getAgenda() {
        return agenda;
    }

    /**
     * Sets the value of the agenda property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setAgenda(String value) {
        this.agenda = value;
    }

    /**
     * Gets the value of the uzivatel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getUzivatel() {
        return uzivatel;
    }

    /**
     * Sets the value of the uzivatel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setUzivatel(String value) {
        this.uzivatel = value;
    }

    /**
     * Gets the value of the duvodUcel property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDuvodUcel() {
        return duvodUcel;
    }

    /**
     * Sets the value of the duvodUcel property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDuvodUcel(String value) {
        this.duvodUcel = value;
    }

    /**
     * Gets the value of the casOd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasOd() {
        return casOd;
    }

    /**
     * Sets the value of the casOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasOd(Calendar value) {
        this.casOd = value;
    }

    /**
     * Gets the value of the casDo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasDo() {
        return casDo;
    }

    /**
     * Sets the value of the casDo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasDo(Calendar value) {
        this.casDo = value;
    }

}
