
package cz.isvs.rob.schemas.robtypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;


/**
 * Místo a okres narození v ČR nebo místo a stát narození.
 *             
 * 
 * <p>Java class for MistoNarozeniType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="MistoNarozeniType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;element name="NarozeniCr" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoCrType"/&gt;
 *         &lt;element name="NarozeniSvet" type="{urn:cz:isvs:rob:schemas:RobTypy:v1}MistoSvetType"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "MistoNarozeniType", propOrder = {
    "narozeniCr",
    "narozeniSvet"
})
@XmlSeeAlso({
    MistoNarozeniStavType.class
})
public class MistoNarozeniType {

    @XmlElement(name = "NarozeniCr")
    protected MistoCrType narozeniCr;
    @XmlElement(name = "NarozeniSvet")
    protected MistoSvetType narozeniSvet;

    /**
     * Gets the value of the narozeniCr property.
     * 
     * @return
     *     possible object is
     *     {@link MistoCrType }
     *     
     */
    public MistoCrType getNarozeniCr() {
        return narozeniCr;
    }

    /**
     * Sets the value of the narozeniCr property.
     * 
     * @param value
     *     allowed object is
     *     {@link MistoCrType }
     *     
     */
    public void setNarozeniCr(MistoCrType value) {
        this.narozeniCr = value;
    }

    /**
     * Gets the value of the narozeniSvet property.
     * 
     * @return
     *     possible object is
     *     {@link MistoSvetType }
     *     
     */
    public MistoSvetType getNarozeniSvet() {
        return narozeniSvet;
    }

    /**
     * Sets the value of the narozeniSvet property.
     * 
     * @param value
     *     allowed object is
     *     {@link MistoSvetType }
     *     
     */
    public void setNarozeniSvet(MistoSvetType value) {
        this.narozeniSvet = value;
    }

}
