
package cz.isvs.rob.schemas.robtypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;
import org.w3._2001.xmlschema.Adapter1;


/**
 * Seznam záznamů o DS třetích osob, do kterých se při změně mají
 *                 údaje odeslat.
 *             
 * 
 * <p>Java class for PoskytnutiTretiOsobeType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="PoskytnutiTretiOsobeType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType" minOccurs="0"/&gt;
 *         &lt;group ref="{urn:cz:isvs:rob:schemas:RobTypy:v1}PoskytnutiJineOsobeType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PoskytnutiTretiOsobeType", propOrder = {
    "aifo",
    "idSouhlasu",
    "souhlasCas",
    "aifoPoskytnuti",
    "jmeno",
    "prijmeni",
    "icoPoskytnuti",
    "nazev",
    "datovaSchrankaPoskytnuti",
    "seznamUdajuPoskytnuti"
})
public class PoskytnutiTretiOsobeType {

    @XmlElement(name = "Aifo")
    protected LokalniAifoType aifo;
    @XmlElement(name = "IdSouhlasu")
    protected Long idSouhlasu;
    @XmlElement(name = "SouhlasCas", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar souhlasCas;
    @XmlElement(name = "AifoPoskytnuti")
    protected LokalniAifoType aifoPoskytnuti;
    @XmlElement(name = "Jmeno")
    protected String jmeno;
    @XmlElement(name = "Prijmeni")
    protected String prijmeni;
    @XmlElement(name = "IcoPoskytnuti")
    protected Integer icoPoskytnuti;
    @XmlElement(name = "Nazev")
    protected String nazev;
    @XmlElement(name = "DatovaSchrankaPoskytnuti")
    protected String datovaSchrankaPoskytnuti;
    @XmlElement(name = "SeznamUdajuPoskytnuti")
    protected Long seznamUdajuPoskytnuti;

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the idSouhlasu property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getIdSouhlasu() {
        return idSouhlasu;
    }

    /**
     * Sets the value of the idSouhlasu property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setIdSouhlasu(Long value) {
        this.idSouhlasu = value;
    }

    /**
     * Gets the value of the souhlasCas property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getSouhlasCas() {
        return souhlasCas;
    }

    /**
     * Sets the value of the souhlasCas property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSouhlasCas(Calendar value) {
        this.souhlasCas = value;
    }

    /**
     * Gets the value of the aifoPoskytnuti property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifoPoskytnuti() {
        return aifoPoskytnuti;
    }

    /**
     * Sets the value of the aifoPoskytnuti property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifoPoskytnuti(LokalniAifoType value) {
        this.aifoPoskytnuti = value;
    }

    /**
     * Gets the value of the jmeno property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getJmeno() {
        return jmeno;
    }

    /**
     * Sets the value of the jmeno property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setJmeno(String value) {
        this.jmeno = value;
    }

    /**
     * Gets the value of the prijmeni property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getPrijmeni() {
        return prijmeni;
    }

    /**
     * Sets the value of the prijmeni property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setPrijmeni(String value) {
        this.prijmeni = value;
    }

    /**
     * Gets the value of the icoPoskytnuti property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getIcoPoskytnuti() {
        return icoPoskytnuti;
    }

    /**
     * Sets the value of the icoPoskytnuti property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setIcoPoskytnuti(Integer value) {
        this.icoPoskytnuti = value;
    }

    /**
     * Gets the value of the nazev property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNazev() {
        return nazev;
    }

    /**
     * Sets the value of the nazev property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNazev(String value) {
        this.nazev = value;
    }

    /**
     * Gets the value of the datovaSchrankaPoskytnuti property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDatovaSchrankaPoskytnuti() {
        return datovaSchrankaPoskytnuti;
    }

    /**
     * Sets the value of the datovaSchrankaPoskytnuti property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatovaSchrankaPoskytnuti(String value) {
        this.datovaSchrankaPoskytnuti = value;
    }

    /**
     * Gets the value of the seznamUdajuPoskytnuti property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getSeznamUdajuPoskytnuti() {
        return seznamUdajuPoskytnuti;
    }

    /**
     * Sets the value of the seznamUdajuPoskytnuti property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setSeznamUdajuPoskytnuti(Long value) {
        this.seznamUdajuPoskytnuti = value;
    }

}
