
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElements;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.FyzickaOsobaHrStavResponseType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.FyzickaOsobaResponseType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.OsobaHrStavResponseAbstractType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.OsobaResponseAbstractType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.PravnickaOsobaHrStavResponseType;
import cz.isvs.ros.schemas.rosdotazytypy.v1.PravnickaOsobaResponseType;
import cz.isvs.ros.schemas.rostypy.v2.IcoStatusType;


/**
 * 
 *                 Chybové statusy služby:
 *                 OBECNA CHYBA SLUZBY
 *                 CHYBA SEZNAMU
 *                 PREKROCEN INTERNI PARAMETR
 *                 NEVALIDNI DATA
 *                 NEVALIDNI ZADOST
 *                 NEPOVOLENE ZNEPRISTUPNENI
 *             
 * 
 * <p>Java class for RosCtiSeznamIcoDataResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiSeznamIcoDataResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyData:v2}RosDotazyDataResponseAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="NalezeneOsoby" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;choice&gt;
 *                   &lt;choice maxOccurs="unbounded"&gt;
 *                     &lt;element name="PravnickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaHrStavResponseType"/&gt;
 *                     &lt;element name="FyzickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaHrStavResponseType"/&gt;
 *                   &lt;/choice&gt;
 *                   &lt;choice maxOccurs="unbounded"&gt;
 *                     &lt;element name="PravnickaOsobaProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaResponseType"/&gt;
 *                     &lt;element name="FyzickaOsobaProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaResponseType"/&gt;
 *                   &lt;/choice&gt;
 *                 &lt;/choice&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="NenalezenaIco" minOccurs="0"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;sequence&gt;
 *                   &lt;element name="NenalezeneIco" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}IcoStatusType" maxOccurs="unbounded"/&gt;
 *                 &lt;/sequence&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiSeznamIcoDataResponseType", propOrder = {
    "nalezeneOsoby",
    "nenalezenaIco"
})
public class RosCtiSeznamIcoDataResponseType
    extends RosDotazyDataResponseAbstractType
{

    @XmlElement(name = "NalezeneOsoby")
    protected RosCtiSeznamIcoDataResponseType.NalezeneOsoby nalezeneOsoby;
    @XmlElement(name = "NenalezenaIco")
    protected RosCtiSeznamIcoDataResponseType.NenalezenaIco nenalezenaIco;

    /**
     * Gets the value of the nalezeneOsoby property.
     * 
     * @return
     *     possible object is
     *     {@link RosCtiSeznamIcoDataResponseType.NalezeneOsoby }
     *     
     */
    public RosCtiSeznamIcoDataResponseType.NalezeneOsoby getNalezeneOsoby() {
        return nalezeneOsoby;
    }

    /**
     * Sets the value of the nalezeneOsoby property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosCtiSeznamIcoDataResponseType.NalezeneOsoby }
     *     
     */
    public void setNalezeneOsoby(RosCtiSeznamIcoDataResponseType.NalezeneOsoby value) {
        this.nalezeneOsoby = value;
    }

    /**
     * Gets the value of the nenalezenaIco property.
     * 
     * @return
     *     possible object is
     *     {@link RosCtiSeznamIcoDataResponseType.NenalezenaIco }
     *     
     */
    public RosCtiSeznamIcoDataResponseType.NenalezenaIco getNenalezenaIco() {
        return nenalezenaIco;
    }

    /**
     * Sets the value of the nenalezenaIco property.
     * 
     * @param value
     *     allowed object is
     *     {@link RosCtiSeznamIcoDataResponseType.NenalezenaIco }
     *     
     */
    public void setNenalezenaIco(RosCtiSeznamIcoDataResponseType.NenalezenaIco value) {
        this.nenalezenaIco = value;
    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;choice&gt;
     *         &lt;choice maxOccurs="unbounded"&gt;
     *           &lt;element name="PravnickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaHrStavResponseType"/&gt;
     *           &lt;element name="FyzickaOsoba" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaHrStavResponseType"/&gt;
     *         &lt;/choice&gt;
     *         &lt;choice maxOccurs="unbounded"&gt;
     *           &lt;element name="PravnickaOsobaProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravnickaOsobaResponseType"/&gt;
     *           &lt;element name="FyzickaOsobaProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FyzickaOsobaResponseType"/&gt;
     *         &lt;/choice&gt;
     *       &lt;/choice&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "pravnickaOsobaOrFyzickaOsoba",
        "pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje"
    })
    public static class NalezeneOsoby {

        @XmlElements({
            @XmlElement(name = "PravnickaOsoba", type = PravnickaOsobaHrStavResponseType.class),
            @XmlElement(name = "FyzickaOsoba", type = FyzickaOsobaHrStavResponseType.class)
        })
        protected List<OsobaHrStavResponseAbstractType> pravnickaOsobaOrFyzickaOsoba;
        @XmlElements({
            @XmlElement(name = "PravnickaOsobaProvozniUdaje", type = PravnickaOsobaResponseType.class),
            @XmlElement(name = "FyzickaOsobaProvozniUdaje", type = FyzickaOsobaResponseType.class)
        })
        protected List<OsobaResponseAbstractType> pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje;

        /**
         * Gets the value of the pravnickaOsobaOrFyzickaOsoba property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the pravnickaOsobaOrFyzickaOsoba property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPravnickaOsobaOrFyzickaOsoba().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PravnickaOsobaHrStavResponseType }
         * {@link FyzickaOsobaHrStavResponseType }
         * 
         * 
         */
        public List<OsobaHrStavResponseAbstractType> getPravnickaOsobaOrFyzickaOsoba() {
            if (pravnickaOsobaOrFyzickaOsoba == null) {
                pravnickaOsobaOrFyzickaOsoba = new ArrayList<OsobaHrStavResponseAbstractType>();
            }
            return this.pravnickaOsobaOrFyzickaOsoba;
        }

        /**
         * Gets the value of the pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getPravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link PravnickaOsobaResponseType }
         * {@link FyzickaOsobaResponseType }
         * 
         * 
         */
        public List<OsobaResponseAbstractType> getPravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje() {
            if (pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje == null) {
                pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje = new ArrayList<OsobaResponseAbstractType>();
            }
            return this.pravnickaOsobaProvozniUdajeOrFyzickaOsobaProvozniUdaje;
        }

    }


    /**
     * <p>Java class for anonymous complex type.
     * 
     * <p>The following schema fragment specifies the expected content contained within this class.
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;sequence&gt;
     *         &lt;element name="NenalezeneIco" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}IcoStatusType" maxOccurs="unbounded"/&gt;
     *       &lt;/sequence&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "", propOrder = {
        "nenalezeneIco"
    })
    public static class NenalezenaIco {

        @XmlElement(name = "NenalezeneIco", required = true)
        protected List<IcoStatusType> nenalezeneIco;

        /**
         * Gets the value of the nenalezeneIco property.
         * 
         * <p>
         * This accessor method returns a reference to the live list,
         * not a snapshot. Therefore any modification you make to the
         * returned list will be present inside the JAXB object.
         * This is why there is not a <CODE>set</CODE> method for the nenalezeneIco property.
         * 
         * <p>
         * For example, to add a new item, do as follows:
         * <pre>
         *    getNenalezeneIco().add(newItem);
         * </pre>
         * 
         * 
         * <p>
         * Objects of the following type(s) are allowed in the list
         * {@link IcoStatusType }
         * 
         * 
         */
        public List<IcoStatusType> getNenalezeneIco() {
            if (nenalezeneIco == null) {
                nenalezeneIco = new ArrayList<IcoStatusType>();
            }
            return this.nenalezeneIco;
        }

    }

}
