
package cz.isvs.ros.schemas.rosdotazydata.v2;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.ros.schemas.rosdotazytypy.v1.TypZmenyType;
import org.w3._2001.xmlschema.Adapter1;


/**
 * 
 *               Vydání seznamu IČO, u kterých došlo ke změně referenčních údajů - služba S13.
 *             
 * 
 * <p>Java class for RosCtiZmenyDataType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="RosCtiZmenyDataType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="MaximalniPocet" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}MaximalniPocetType" minOccurs="0"/&gt;
 *         &lt;choice&gt;
 *           &lt;sequence&gt;
 *             &lt;element name="CasZmenyOd" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaCasType"/&gt;
 *             &lt;element name="CasZmenyDo" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaCasType" minOccurs="0"/&gt;
 *           &lt;/sequence&gt;
 *           &lt;element name="IdZmeny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaIdType"/&gt;
 *         &lt;/choice&gt;
 *         &lt;element name="TypZmeny" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}TypZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "RosCtiZmenyDataType", propOrder = {
    "maximalniPocet",
    "casZmenyOd",
    "casZmenyDo",
    "idZmeny",
    "typZmeny"
})
public class RosCtiZmenyDataType {

    @XmlElement(name = "MaximalniPocet")
    protected Integer maximalniPocet;
    @XmlElement(name = "CasZmenyOd", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casZmenyOd;
    @XmlElement(name = "CasZmenyDo", type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casZmenyDo;
    @XmlElement(name = "IdZmeny")
    protected Long idZmeny;
    @XmlElement(name = "TypZmeny", required = true)
    @XmlSchemaType(name = "string")
    protected TypZmenyType typZmeny;

    /**
     * Gets the value of the maximalniPocet property.
     * 
     * @return
     *     possible object is
     *     {@link Integer }
     *     
     */
    public Integer getMaximalniPocet() {
        return maximalniPocet;
    }

    /**
     * Sets the value of the maximalniPocet property.
     * 
     * @param value
     *     allowed object is
     *     {@link Integer }
     *     
     */
    public void setMaximalniPocet(Integer value) {
        this.maximalniPocet = value;
    }

    /**
     * Gets the value of the casZmenyOd property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasZmenyOd() {
        return casZmenyOd;
    }

    /**
     * Sets the value of the casZmenyOd property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasZmenyOd(Calendar value) {
        this.casZmenyOd = value;
    }

    /**
     * Gets the value of the casZmenyDo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasZmenyDo() {
        return casZmenyDo;
    }

    /**
     * Sets the value of the casZmenyDo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasZmenyDo(Calendar value) {
        this.casZmenyDo = value;
    }

    /**
     * Gets the value of the idZmeny property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getIdZmeny() {
        return idZmeny;
    }

    /**
     * Sets the value of the idZmeny property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setIdZmeny(Long value) {
        this.idZmeny = value;
    }

    /**
     * Gets the value of the typZmeny property.
     * 
     * @return
     *     possible object is
     *     {@link TypZmenyType }
     *     
     */
    public TypZmenyType getTypZmeny() {
        return typZmeny;
    }

    /**
     * Sets the value of the typZmeny property.
     * 
     * @param value
     *     allowed object is
     *     {@link TypZmenyType }
     *     
     */
    public void setTypZmeny(TypZmenyType value) {
        this.typZmeny = value;
    }

}
