
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Fyzická osoba (podnikatel) v odpovědi z ROS včetně stavu a provozních údajů
 *                 o poslední změně jednotlivých údajů.
 *             
 * 
 * <p>Java class for FyzickaOsobaResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FyzickaOsobaResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobaResponseAbstractType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OsobyAgendy" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}OsobyAgendyResponseType" minOccurs="0"/&gt;
 *         &lt;element name="Fo" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}FoResponseType" minOccurs="0"/&gt;
 *         &lt;element name="InsolvencniSpravce" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}InsolvencniSpravceResponseType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FyzickaOsobaResponseType", propOrder = {
    "osobyAgendy",
    "fo",
    "insolvencniSpravce"
})
public class FyzickaOsobaResponseType
    extends OsobaResponseAbstractType
{

    @XmlElement(name = "OsobyAgendy")
    protected OsobyAgendyResponseType osobyAgendy;
    @XmlElement(name = "Fo")
    protected FoResponseType fo;
    @XmlElement(name = "InsolvencniSpravce")
    protected InsolvencniSpravceResponseType insolvencniSpravce;

    /**
     * Gets the value of the osobyAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link OsobyAgendyResponseType }
     *     
     */
    public OsobyAgendyResponseType getOsobyAgendy() {
        return osobyAgendy;
    }

    /**
     * Sets the value of the osobyAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link OsobyAgendyResponseType }
     *     
     */
    public void setOsobyAgendy(OsobyAgendyResponseType value) {
        this.osobyAgendy = value;
    }

    /**
     * Gets the value of the fo property.
     * 
     * @return
     *     possible object is
     *     {@link FoResponseType }
     *     
     */
    public FoResponseType getFo() {
        return fo;
    }

    /**
     * Sets the value of the fo property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoResponseType }
     *     
     */
    public void setFo(FoResponseType value) {
        this.fo = value;
    }

    /**
     * Gets the value of the insolvencniSpravce property.
     * 
     * @return
     *     possible object is
     *     {@link InsolvencniSpravceResponseType }
     *     
     */
    public InsolvencniSpravceResponseType getInsolvencniSpravce() {
        return insolvencniSpravce;
    }

    /**
     * Sets the value of the insolvencniSpravce property.
     * 
     * @param value
     *     allowed object is
     *     {@link InsolvencniSpravceResponseType }
     *     
     */
    public void setInsolvencniSpravce(InsolvencniSpravceResponseType value) {
        this.insolvencniSpravce = value;
    }

}
