
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.ros.schemas.roseditacetypy.v1.OpatrovnikStavType;
import cz.isvs.ros.schemas.rostypy.v2.UdajeZmenyType;


/**
 * 
 *                 Opatrovník v odpovědi z ROS včetně stavu a provozních údajů o poslední změně.
 *             
 * 
 * <p>Java class for OpatrovnikResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OpatrovnikResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="OpatrovnikUdaj" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}OpatrovnikStavType" minOccurs="0"/&gt;
 *         &lt;element name="ProvozniUdaje" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}UdajeZmenyType"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OpatrovnikResponseType", propOrder = {
    "opatrovnikUdaj",
    "provozniUdaje"
})
public class OpatrovnikResponseType {

    @XmlElement(name = "OpatrovnikUdaj", nillable = true)
    protected OpatrovnikStavType opatrovnikUdaj;
    @XmlElement(name = "ProvozniUdaje", required = true)
    protected UdajeZmenyType provozniUdaje;

    /**
     * Gets the value of the opatrovnikUdaj property.
     * 
     * @return
     *     possible object is
     *     {@link OpatrovnikStavType }
     *     
     */
    public OpatrovnikStavType getOpatrovnikUdaj() {
        return opatrovnikUdaj;
    }

    /**
     * Sets the value of the opatrovnikUdaj property.
     * 
     * @param value
     *     allowed object is
     *     {@link OpatrovnikStavType }
     *     
     */
    public void setOpatrovnikUdaj(OpatrovnikStavType value) {
        this.opatrovnikUdaj = value;
    }

    /**
     * Gets the value of the provozniUdaje property.
     * 
     * @return
     *     possible object is
     *     {@link UdajeZmenyType }
     *     
     */
    public UdajeZmenyType getProvozniUdaje() {
        return provozniUdaje;
    }

    /**
     * Sets the value of the provozniUdaje property.
     * 
     * @param value
     *     allowed object is
     *     {@link UdajeZmenyType }
     *     
     */
    public void setProvozniUdaje(UdajeZmenyType value) {
        this.provozniUdaje = value;
    }

}
