
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.CollapsedStringAdapter;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


/**
 * 
 *                 Osoba ve vztahu k agendě a jejímu agendovému místu v odpovědi z ROS
 *                 včetně stavu a provozních údajů o poslední změně jednotlivých údajů.
 *             
 * 
 * <p>Java class for OsobaAgendyResponseType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OsobaAgendyResponseType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="KodAgendy" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodAgendyType"/&gt;
 *         &lt;element name="KodOvm" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}KodOvmType"/&gt;
 *         &lt;element name="NazevOsoby" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}NazevOsobyResponseType" minOccurs="0"/&gt;
 *         &lt;element name="DatumVznikuOpravneni" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatumVznikuOpravneniResponseType" minOccurs="0"/&gt;
 *         &lt;element name="DatumZanikuOpravneni" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatumZanikuOpravneniResponseType" minOccurs="0"/&gt;
 *         &lt;element name="AdresaSidla" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}AdresaSidlaResponseType" minOccurs="0"/&gt;
 *         &lt;element name="PozastaveniPreruseni" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PozastaveniPreruseniResponseType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OsobaAgendyResponseType", propOrder = {
    "kodAgendy",
    "kodOvm",
    "nazevOsoby",
    "datumVznikuOpravneni",
    "datumZanikuOpravneni",
    "adresaSidla",
    "pozastaveniPreruseni"
})
@XmlSeeAlso({
    OsobaAgendyResponse2Type.class
})
public class OsobaAgendyResponseType {

    @XmlElement(name = "KodAgendy", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodAgendy;
    @XmlElement(name = "KodOvm", required = true)
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    @XmlSchemaType(name = "NMTOKEN")
    protected String kodOvm;
    @XmlElement(name = "NazevOsoby")
    protected NazevOsobyResponseType nazevOsoby;
    @XmlElement(name = "DatumVznikuOpravneni")
    protected DatumVznikuOpravneniResponseType datumVznikuOpravneni;
    @XmlElement(name = "DatumZanikuOpravneni")
    protected DatumZanikuOpravneniResponseType datumZanikuOpravneni;
    @XmlElement(name = "AdresaSidla")
    protected AdresaSidlaResponseType adresaSidla;
    @XmlElement(name = "PozastaveniPreruseni")
    protected PozastaveniPreruseniResponseType pozastaveniPreruseni;

    /**
     * Gets the value of the kodAgendy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodAgendy() {
        return kodAgendy;
    }

    /**
     * Sets the value of the kodAgendy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodAgendy(String value) {
        this.kodAgendy = value;
    }

    /**
     * Gets the value of the kodOvm property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getKodOvm() {
        return kodOvm;
    }

    /**
     * Sets the value of the kodOvm property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setKodOvm(String value) {
        this.kodOvm = value;
    }

    /**
     * Gets the value of the nazevOsoby property.
     * 
     * @return
     *     possible object is
     *     {@link NazevOsobyResponseType }
     *     
     */
    public NazevOsobyResponseType getNazevOsoby() {
        return nazevOsoby;
    }

    /**
     * Sets the value of the nazevOsoby property.
     * 
     * @param value
     *     allowed object is
     *     {@link NazevOsobyResponseType }
     *     
     */
    public void setNazevOsoby(NazevOsobyResponseType value) {
        this.nazevOsoby = value;
    }

    /**
     * Gets the value of the datumVznikuOpravneni property.
     * 
     * @return
     *     possible object is
     *     {@link DatumVznikuOpravneniResponseType }
     *     
     */
    public DatumVznikuOpravneniResponseType getDatumVznikuOpravneni() {
        return datumVznikuOpravneni;
    }

    /**
     * Sets the value of the datumVznikuOpravneni property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumVznikuOpravneniResponseType }
     *     
     */
    public void setDatumVznikuOpravneni(DatumVznikuOpravneniResponseType value) {
        this.datumVznikuOpravneni = value;
    }

    /**
     * Gets the value of the datumZanikuOpravneni property.
     * 
     * @return
     *     possible object is
     *     {@link DatumZanikuOpravneniResponseType }
     *     
     */
    public DatumZanikuOpravneniResponseType getDatumZanikuOpravneni() {
        return datumZanikuOpravneni;
    }

    /**
     * Sets the value of the datumZanikuOpravneni property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatumZanikuOpravneniResponseType }
     *     
     */
    public void setDatumZanikuOpravneni(DatumZanikuOpravneniResponseType value) {
        this.datumZanikuOpravneni = value;
    }

    /**
     * Gets the value of the adresaSidla property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaSidlaResponseType }
     *     
     */
    public AdresaSidlaResponseType getAdresaSidla() {
        return adresaSidla;
    }

    /**
     * Sets the value of the adresaSidla property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaSidlaResponseType }
     *     
     */
    public void setAdresaSidla(AdresaSidlaResponseType value) {
        this.adresaSidla = value;
    }

    /**
     * Gets the value of the pozastaveniPreruseni property.
     * 
     * @return
     *     possible object is
     *     {@link PozastaveniPreruseniResponseType }
     *     
     */
    public PozastaveniPreruseniResponseType getPozastaveniPreruseni() {
        return pozastaveniPreruseni;
    }

    /**
     * Sets the value of the pozastaveniPreruseni property.
     * 
     * @param value
     *     allowed object is
     *     {@link PozastaveniPreruseniResponseType }
     *     
     */
    public void setPozastaveniPreruseni(PozastaveniPreruseniResponseType value) {
        this.pozastaveniPreruseni = value;
    }

}
