
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import org.w3._2001.xmlschema.Adapter1;
import org.w3._2001.xmlschema.Adapter2;


/**
 * 
 *                 Společný předek pro fyzickou a právnickou osobu v odpovědi z ROS včetně stavu 
 *                 jednotlivých referenčních údajů, času a identifikátoru poslední změny osoby
 *                 a provozních údajů o poslední změně jednotlivých údajů osoby.
 *             
 * 
 * <p>Java class for OsobaResponseAbstractType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="OsobaResponseAbstractType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Ico" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcoType"/&gt;
 *         &lt;element name="IcoKontrola" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}IcoKontrolaType" minOccurs="0"/&gt;
 *         &lt;element name="CasZmeny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaCasType"/&gt;
 *         &lt;element name="IdZmeny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}ZmenaIdType"/&gt;
 *         &lt;element name="DatoveSchranky" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}DatoveSchrankyResponseType" minOccurs="0"/&gt;
 *         &lt;element name="PravniForma" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravniFormaResponseType" minOccurs="0"/&gt;
 *         &lt;element name="PravniStav" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}PravniStavResponseType" minOccurs="0"/&gt;
 *         &lt;element name="DatumZapisuRos" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}DatumZapisuRosType"/&gt;
 *         &lt;element name="Provozovny" type="{urn:cz:isvs:ros:schemas:RosDotazyTypy:v1}ProvozovnyResponseType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "OsobaResponseAbstractType", propOrder = {
    "ico",
    "icoKontrola",
    "casZmeny",
    "idZmeny",
    "datoveSchranky",
    "pravniForma",
    "pravniStav",
    "datumZapisuRos",
    "provozovny"
})
@XmlSeeAlso({
    FyzickaOsobaResponseType.class,
    PravnickaOsobaResponseType.class
})
public abstract class OsobaResponseAbstractType {

    @XmlElement(name = "Ico")
    protected int ico;
    @XmlElement(name = "IcoKontrola")
    protected byte[] icoKontrola;
    @XmlElement(name = "CasZmeny", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter1 .class)
    @XmlSchemaType(name = "dateTime")
    protected Calendar casZmeny;
    @XmlElement(name = "IdZmeny")
    protected long idZmeny;
    @XmlElement(name = "DatoveSchranky")
    protected DatoveSchrankyResponseType datoveSchranky;
    @XmlElement(name = "PravniForma")
    protected PravniFormaResponseType pravniForma;
    @XmlElement(name = "PravniStav")
    protected PravniStavResponseType pravniStav;
    @XmlElement(name = "DatumZapisuRos", required = true, type = String.class)
    @XmlJavaTypeAdapter(Adapter2 .class)
    @XmlSchemaType(name = "date")
    protected Calendar datumZapisuRos;
    @XmlElement(name = "Provozovny")
    protected ProvozovnyResponseType provozovny;

    /**
     * Gets the value of the ico property.
     * 
     */
    public int getIco() {
        return ico;
    }

    /**
     * Sets the value of the ico property.
     * 
     */
    public void setIco(int value) {
        this.ico = value;
    }

    /**
     * Gets the value of the icoKontrola property.
     * 
     * @return
     *     possible object is
     *     byte[]
     */
    public byte[] getIcoKontrola() {
        return icoKontrola;
    }

    /**
     * Sets the value of the icoKontrola property.
     * 
     * @param value
     *     allowed object is
     *     byte[]
     */
    public void setIcoKontrola(byte[] value) {
        this.icoKontrola = value;
    }

    /**
     * Gets the value of the casZmeny property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getCasZmeny() {
        return casZmeny;
    }

    /**
     * Sets the value of the casZmeny property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCasZmeny(Calendar value) {
        this.casZmeny = value;
    }

    /**
     * Gets the value of the idZmeny property.
     * 
     */
    public long getIdZmeny() {
        return idZmeny;
    }

    /**
     * Sets the value of the idZmeny property.
     * 
     */
    public void setIdZmeny(long value) {
        this.idZmeny = value;
    }

    /**
     * Gets the value of the datoveSchranky property.
     * 
     * @return
     *     possible object is
     *     {@link DatoveSchrankyResponseType }
     *     
     */
    public DatoveSchrankyResponseType getDatoveSchranky() {
        return datoveSchranky;
    }

    /**
     * Sets the value of the datoveSchranky property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatoveSchrankyResponseType }
     *     
     */
    public void setDatoveSchranky(DatoveSchrankyResponseType value) {
        this.datoveSchranky = value;
    }

    /**
     * Gets the value of the pravniForma property.
     * 
     * @return
     *     possible object is
     *     {@link PravniFormaResponseType }
     *     
     */
    public PravniFormaResponseType getPravniForma() {
        return pravniForma;
    }

    /**
     * Sets the value of the pravniForma property.
     * 
     * @param value
     *     allowed object is
     *     {@link PravniFormaResponseType }
     *     
     */
    public void setPravniForma(PravniFormaResponseType value) {
        this.pravniForma = value;
    }

    /**
     * Gets the value of the pravniStav property.
     * 
     * @return
     *     possible object is
     *     {@link PravniStavResponseType }
     *     
     */
    public PravniStavResponseType getPravniStav() {
        return pravniStav;
    }

    /**
     * Sets the value of the pravniStav property.
     * 
     * @param value
     *     allowed object is
     *     {@link PravniStavResponseType }
     *     
     */
    public void setPravniStav(PravniStavResponseType value) {
        this.pravniStav = value;
    }

    /**
     * Gets the value of the datumZapisuRos property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatumZapisuRos() {
        return datumZapisuRos;
    }

    /**
     * Sets the value of the datumZapisuRos property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatumZapisuRos(Calendar value) {
        this.datumZapisuRos = value;
    }

    /**
     * Gets the value of the provozovny property.
     * 
     * @return
     *     possible object is
     *     {@link ProvozovnyResponseType }
     *     
     */
    public ProvozovnyResponseType getProvozovny() {
        return provozovny;
    }

    /**
     * Sets the value of the provozovny property.
     * 
     * @param value
     *     allowed object is
     *     {@link ProvozovnyResponseType }
     *     
     */
    public void setProvozovny(ProvozovnyResponseType value) {
        this.provozovny = value;
    }

}
