
package cz.isvs.ros.schemas.rosdotazytypy.v1;

import java.util.Calendar;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import cz.isvs.ros.schemas.rostypy.v2.AdresaType;
import org.w3._2001.xmlschema.Adapter2;


/**
 * 
 *                 Provozovna osoby v ROS pro vyhledávání podle libovolného údaje službou S07.
 *             
 * 
 * <p>Java class for ProvozovnaFiltrType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ProvozovnaFiltrType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Icp" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}IcpType" minOccurs="0"/&gt;
 *         &lt;element name="DatumZahajeniCinnosti" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}DatumZahajeniCinnostiType" minOccurs="0"/&gt;
 *         &lt;element name="DatumUkonceniCinnosti" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}DatumUkonceniCinnostiType" minOccurs="0"/&gt;
 *         &lt;element name="AdresaProvozovny" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}AdresaType" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ProvozovnaFiltrType", propOrder = {
    "icp",
    "datumZahajeniCinnosti",
    "datumUkonceniCinnosti",
    "adresaProvozovny"
})
@XmlSeeAlso({
    ProvozovnaFiltr2Type.class
})
public class ProvozovnaFiltrType {

    @XmlElement(name = "Icp")
    protected Long icp;
    @XmlElement(name = "DatumZahajeniCinnosti", type = String.class)
    @XmlJavaTypeAdapter(Adapter2 .class)
    @XmlSchemaType(name = "date")
    protected Calendar datumZahajeniCinnosti;
    @XmlElement(name = "DatumUkonceniCinnosti", type = String.class)
    @XmlJavaTypeAdapter(Adapter2 .class)
    @XmlSchemaType(name = "date")
    protected Calendar datumUkonceniCinnosti;
    @XmlElement(name = "AdresaProvozovny")
    protected AdresaType adresaProvozovny;

    /**
     * Gets the value of the icp property.
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public Long getIcp() {
        return icp;
    }

    /**
     * Sets the value of the icp property.
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setIcp(Long value) {
        this.icp = value;
    }

    /**
     * Gets the value of the datumZahajeniCinnosti property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatumZahajeniCinnosti() {
        return datumZahajeniCinnosti;
    }

    /**
     * Sets the value of the datumZahajeniCinnosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatumZahajeniCinnosti(Calendar value) {
        this.datumZahajeniCinnosti = value;
    }

    /**
     * Gets the value of the datumUkonceniCinnosti property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public Calendar getDatumUkonceniCinnosti() {
        return datumUkonceniCinnosti;
    }

    /**
     * Sets the value of the datumUkonceniCinnosti property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDatumUkonceniCinnosti(Calendar value) {
        this.datumUkonceniCinnosti = value;
    }

    /**
     * Gets the value of the adresaProvozovny property.
     * 
     * @return
     *     possible object is
     *     {@link AdresaType }
     *     
     */
    public AdresaType getAdresaProvozovny() {
        return adresaProvozovny;
    }

    /**
     * Sets the value of the adresaProvozovny property.
     * 
     * @param value
     *     allowed object is
     *     {@link AdresaType }
     *     
     */
    public void setAdresaProvozovny(AdresaType value) {
        this.adresaProvozovny = value;
    }

}
