
package cz.isvs.ros.schemas.roseditacetypy.v1;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.DatovaSchrankaType;


/**
 * 
 *                 Datová schránka osoby v editačním dotazu (pouze vložení a výmaz) do ROS včetně stavu jednotlivých údajů
 *                 a s rozlišením vložení a výmazu.
 *             
 * 
 * <p>Java class for DatovaSchrankaUkonEditStavType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DatovaSchrankaUkonEditStavType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;element name="UdajeDatoveSchrankyVlozeni" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}DatovaSchrankaStavType"/&gt;
 *         &lt;element name="UdajeDatoveSchrankyVymaz" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}DatovaSchrankaType"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DatovaSchrankaUkonEditStavType", propOrder = {
    "udajeDatoveSchrankyVlozeni",
    "udajeDatoveSchrankyVymaz"
})
public class DatovaSchrankaUkonEditStavType {

    @XmlElement(name = "UdajeDatoveSchrankyVlozeni")
    protected DatovaSchrankaStavType udajeDatoveSchrankyVlozeni;
    @XmlElement(name = "UdajeDatoveSchrankyVymaz")
    protected DatovaSchrankaType udajeDatoveSchrankyVymaz;

    /**
     * Gets the value of the udajeDatoveSchrankyVlozeni property.
     * 
     * @return
     *     possible object is
     *     {@link DatovaSchrankaStavType }
     *     
     */
    public DatovaSchrankaStavType getUdajeDatoveSchrankyVlozeni() {
        return udajeDatoveSchrankyVlozeni;
    }

    /**
     * Sets the value of the udajeDatoveSchrankyVlozeni property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatovaSchrankaStavType }
     *     
     */
    public void setUdajeDatoveSchrankyVlozeni(DatovaSchrankaStavType value) {
        this.udajeDatoveSchrankyVlozeni = value;
    }

    /**
     * Gets the value of the udajeDatoveSchrankyVymaz property.
     * 
     * @return
     *     possible object is
     *     {@link DatovaSchrankaType }
     *     
     */
    public DatovaSchrankaType getUdajeDatoveSchrankyVymaz() {
        return udajeDatoveSchrankyVymaz;
    }

    /**
     * Sets the value of the udajeDatoveSchrankyVymaz property.
     * 
     * @param value
     *     allowed object is
     *     {@link DatovaSchrankaType }
     *     
     */
    public void setUdajeDatoveSchrankyVymaz(DatovaSchrankaType value) {
        this.udajeDatoveSchrankyVymaz = value;
    }

}
