
package cz.isvs.ros.schemas.roseditacetypy.v1;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * 
 *                 Nucení správci osoby v editačním dotazu do ROS
 *                 včetně stavu jednotlivých nucených správců ve druhé verzi služeb. 
 *             
 * 
 * <p>Java class for NuceniSpravciStav2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="NuceniSpravciStav2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="NucenySpravce" type="{urn:cz:isvs:ros:schemas:RosEditaceTypy:v1}NucenySpravceStav2Type" maxOccurs="unbounded"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "NuceniSpravciStav2Type", propOrder = {
    "nucenySpravce"
})
public class NuceniSpravciStav2Type {

    @XmlElement(name = "NucenySpravce", required = true)
    protected List<NucenySpravceStav2Type> nucenySpravce;

    /**
     * Gets the value of the nucenySpravce property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the nucenySpravce property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getNucenySpravce().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link NucenySpravceStav2Type }
     * 
     * 
     */
    public List<NucenySpravceStav2Type> getNucenySpravce() {
        if (nucenySpravce == null) {
            nucenySpravce = new ArrayList<NucenySpravceStav2Type>();
        }
        return this.nucenySpravce;
    }

}
