
package cz.isvs.ros.schemas.rostypy.v2;

import java.util.ArrayList;
import java.util.List;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSchemaType;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.VysledekKodType;


/**
 * 
 *                 Aplikační chyba, doplnění k StatusType ze systémové části zprávy.
 *             
 * 
 * <p>Java class for AplikacniStatusType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="AplikacniStatusType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="VysledekKod" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}VysledekKodType"/&gt;
 *         &lt;element name="VysledekDetail" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}VysledekDetailType" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "AplikacniStatusType", propOrder = {
    "vysledekKod",
    "vysledekDetail"
})
public class AplikacniStatusType {

    @XmlElement(name = "VysledekKod", required = true)
    @XmlSchemaType(name = "string")
    protected VysledekKodType vysledekKod;
    @XmlElement(name = "VysledekDetail")
    protected List<VysledekDetailType> vysledekDetail;

    /**
     * Gets the value of the vysledekKod property.
     * 
     * @return
     *     possible object is
     *     {@link VysledekKodType }
     *     
     */
    public VysledekKodType getVysledekKod() {
        return vysledekKod;
    }

    /**
     * Sets the value of the vysledekKod property.
     * 
     * @param value
     *     allowed object is
     *     {@link VysledekKodType }
     *     
     */
    public void setVysledekKod(VysledekKodType value) {
        this.vysledekKod = value;
    }

    /**
     * Gets the value of the vysledekDetail property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the vysledekDetail property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getVysledekDetail().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link VysledekDetailType }
     * 
     * 
     */
    public List<VysledekDetailType> getVysledekDetail() {
        if (vysledekDetail == null) {
            vysledekDetail = new ArrayList<VysledekDetailType>();
        }
        return this.vysledekDetail;
    }

}
