
package cz.isvs.ros.schemas.rostypy.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlSeeAlso;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.LokalniAifoType;


/**
 * 
 *                 Fyzická osoba (obyvatel) v ROS s vazbou na angažistu v editačním dotazu do ROS
 *                 včetně stavu jednotlivých údajů ve druhé verzi služeb.
 *             
 * 
 * <p>Java class for FoAngazovaneOsobyStav2Type complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="FoAngazovaneOsobyStav2Type"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;choice&gt;
 *         &lt;element name="Aifo" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}LokalniAifoType"/&gt;
 *         &lt;element name="FoTextemPobyt" type="{urn:cz:isvs:ros:schemas:RosTypy:v2}FoTextemPobytStav2Type"/&gt;
 *       &lt;/choice&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "FoAngazovaneOsobyStav2Type", propOrder = {
    "aifo",
    "foTextemPobyt"
})
@XmlSeeAlso({
    FoStav2Type.class
})
public class FoAngazovaneOsobyStav2Type {

    @XmlElement(name = "Aifo")
    protected LokalniAifoType aifo;
    @XmlElement(name = "FoTextemPobyt")
    protected FoTextemPobytStav2Type foTextemPobyt;

    /**
     * Gets the value of the aifo property.
     * 
     * @return
     *     possible object is
     *     {@link LokalniAifoType }
     *     
     */
    public LokalniAifoType getAifo() {
        return aifo;
    }

    /**
     * Sets the value of the aifo property.
     * 
     * @param value
     *     allowed object is
     *     {@link LokalniAifoType }
     *     
     */
    public void setAifo(LokalniAifoType value) {
        this.aifo = value;
    }

    /**
     * Gets the value of the foTextemPobyt property.
     * 
     * @return
     *     possible object is
     *     {@link FoTextemPobytStav2Type }
     *     
     */
    public FoTextemPobytStav2Type getFoTextemPobyt() {
        return foTextemPobyt;
    }

    /**
     * Sets the value of the foTextemPobyt property.
     * 
     * @param value
     *     allowed object is
     *     {@link FoTextemPobytStav2Type }
     *     
     */
    public void setFoTextemPobyt(FoTextemPobytStav2Type value) {
        this.foTextemPobyt = value;
    }

}
