
package cz.isvs.ruian.schemas.commontypy.v1;

import jakarta.xml.bind.annotation.XmlEnum;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for StupenGeneralizaceType.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="StupenGeneralizaceType"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="ORGINALNI"/&gt;
 *     &lt;enumeration value="STUPEN_1"/&gt;
 *     &lt;enumeration value="STUPEN_2"/&gt;
 *     &lt;enumeration value="STUPEN_3"/&gt;
 *     &lt;enumeration value="STUPEN_4"/&gt;
 *     &lt;enumeration value="STUPEN_5"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "StupenGeneralizaceType")
@XmlEnum
public enum StupenGeneralizaceType {


    /**
     * Bez generalizace.
     * 
     */
    ORGINALNI,

    /**
     * Generalizace 1 stupně.
     * 
     */
    STUPEN_1,

    /**
     * Generalizace 2 stupně.
     * 
     */
    STUPEN_2,

    /**
     * Generalizace 3 stupně.
     * 
     */
    STUPEN_3,

    /**
     * Generalizace 4 stupně.
     * 
     */
    STUPEN_4,

    /**
     * Generalizace 5 stupně.
     * 
     */
    STUPEN_5;

    public String value() {
        return name();
    }

    public static StupenGeneralizaceType fromValue(String v) {
        return valueOf(v);
    }

}
