
package cz.isvs.ruian.schemas.ctiprorob.v2;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;
import cz.isvs.reg.schemas.regtypy.v1.TypAdresniLokalityType;


/**
 * Místo narození narození nebo úmrtí.
 * 
 * <p>Java class for LokalitaType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="LokalitaType"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Kod" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}AdresniLokalitaType"/&gt;
 *         &lt;element name="Nazev" type="{urn:cz:isvs:ruian:schemas:BaseTypy:v1}Nazev48Type"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="TypPrvku" type="{urn:cz:isvs:reg:schemas:RegTypy:v1}TypAdresniLokalityType" default="OB" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "LokalitaType", propOrder = {
    "kod",
    "nazev"
})
public class LokalitaType {

    @XmlElement(name = "Kod")
    protected int kod;
    @XmlElement(name = "Nazev", required = true)
    protected String nazev;
    @XmlAttribute(name = "TypPrvku")
    protected TypAdresniLokalityType typPrvku;

    /**
     * Gets the value of the kod property.
     * 
     */
    public int getKod() {
        return kod;
    }

    /**
     * Sets the value of the kod property.
     * 
     */
    public void setKod(int value) {
        this.kod = value;
    }

    /**
     * Gets the value of the nazev property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNazev() {
        return nazev;
    }

    /**
     * Sets the value of the nazev property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNazev(String value) {
        this.nazev = value;
    }

    /**
     * Gets the value of the typPrvku property.
     * 
     * @return
     *     possible object is
     *     {@link TypAdresniLokalityType }
     *     
     */
    public TypAdresniLokalityType getTypPrvku() {
        if (typPrvku == null) {
            return TypAdresniLokalityType.OB;
        } else {
            return typPrvku;
        }
    }

    /**
     * Sets the value of the typPrvku property.
     * 
     * @param value
     *     allowed object is
     *     {@link TypAdresniLokalityType }
     *     
     */
    public void setTypPrvku(TypAdresniLokalityType value) {
        this.typPrvku = value;
    }

}
